import{S as mc,i as fc,s as uc,e as s,k as l,w as _,t as r,M as gc,c as n,d as o,m as d,a as i,x as v,h as a,b as c,G as e,g as h,y as T,q as x,o as k,B as b,v as _c,L as hc}from"../../chunks/vendor-hf-doc-builder.js";import{T as dc}from"../../chunks/Tip-hf-doc-builder.js";import{D as N}from"../../chunks/Docstring-hf-doc-builder.js";import{C as Dr}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as qe}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as pc}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function vc(J){let f,y,u,g,S;return g=new Dr({props:{code:`from transformers import Speech2Text2Config, Speech2Text2ForCausalLM

# Initializing a Speech2Text2 s2t_transformer_s style configuration
configuration = Speech2Text2Config()

# Initializing a model (with random weights) from the s2t_transformer_s style configuration
model = Speech2Text2ForCausalLM(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Speech2Text2Config, Speech2Text2ForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a Speech2Text2 s2t_transformer_s style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = Speech2Text2Config()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the s2t_transformer_s style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Speech2Text2ForCausalLM(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){f=s("p"),y=r("Example:"),u=l(),_(g.$$.fragment)},l(m){f=n(m,"P",{});var w=i(f);y=a(w,"Example:"),w.forEach(o),u=d(m),v(g.$$.fragment,m)},m(m,w){h(m,f,w),e(f,y),h(m,u,w),T(g,m,w),S=!0},p:hc,i(m){S||(x(g.$$.fragment,m),S=!0)},o(m){k(g.$$.fragment,m),S=!1},d(m){m&&o(f),m&&o(u),b(g,m)}}}function Tc(J){let f,y,u,g,S,m,w,I,F,z,C;return{c(){f=s("p"),y=r(`This class method is simply calling the feature extractor
`),u=s("a"),g=r("from_pretrained()"),S=r(`, image processor
`),m=s("a"),w=r("ImageProcessingMixin"),I=r(` and the tokenizer
`),F=s("code"),z=r("~tokenization_utils_base.PreTrainedTokenizer.from_pretrained"),C=r(` methods. Please refer to the docstrings of the
methods above for more information.`),this.h()},l(P){f=n(P,"P",{});var q=i(f);y=a(q,`This class method is simply calling the feature extractor
`),u=n(q,"A",{href:!0});var G=i(u);g=a(G,"from_pretrained()"),G.forEach(o),S=a(q,`, image processor
`),m=n(q,"A",{href:!0});var kt=i(m);w=a(kt,"ImageProcessingMixin"),kt.forEach(o),I=a(q,` and the tokenizer
`),F=n(q,"CODE",{});var le=i(F);z=a(le,"~tokenization_utils_base.PreTrainedTokenizer.from_pretrained"),le.forEach(o),C=a(q,` methods. Please refer to the docstrings of the
methods above for more information.`),q.forEach(o),this.h()},h(){c(u,"href","/docs/transformers/main/en/main_classes/feature_extractor#transformers.FeatureExtractionMixin.from_pretrained"),c(m,"href","/docs/transformers/main/en/internal/image_processing_utils#transformers.ImageProcessingMixin")},m(P,q){h(P,f,q),e(f,y),e(f,u),e(u,g),e(f,S),e(f,m),e(m,w),e(f,I),e(f,F),e(F,z),e(f,C)},d(P){P&&o(f)}}}function xc(J){let f,y,u,g,S,m,w,I;return{c(){f=s("p"),y=r("This class method is simply calling "),u=s("a"),g=r("save_pretrained()"),S=r(` and
`),m=s("a"),w=r("save_pretrained()"),I=r(`. Please refer to the docstrings of the
methods above for more information.`),this.h()},l(F){f=n(F,"P",{});var z=i(f);y=a(z,"This class method is simply calling "),u=n(z,"A",{href:!0});var C=i(u);g=a(C,"save_pretrained()"),C.forEach(o),S=a(z,` and
`),m=n(z,"A",{href:!0});var P=i(m);w=a(P,"save_pretrained()"),P.forEach(o),I=a(z,`. Please refer to the docstrings of the
methods above for more information.`),z.forEach(o),this.h()},h(){c(u,"href","/docs/transformers/main/en/main_classes/feature_extractor#transformers.FeatureExtractionMixin.save_pretrained"),c(m,"href","/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.save_pretrained")},m(F,z){h(F,f,z),e(f,y),e(f,u),e(u,g),e(f,S),e(f,m),e(m,w),e(f,I)},d(F){F&&o(f)}}}function kc(J){let f,y,u,g,S;return g=new Dr({props:{code:`from transformers import (
    SpeechEncoderDecoderModel,
    Speech2Text2ForCausalLM,
    Wav2Vec2Model,
    Speech2Text2Config,
    Wav2Vec2Config,
    Wav2Vec2FeatureExtractor,
    Speech2Text2Tokenizer,
)
from datasets import load_dataset

feature_extractor = Wav2Vec2FeatureExtractor()
tokenizer = Speech2Text2Tokenizer.from_pretrained("facebook/s2t-wav2vec2-large-en-de")

encoder = Wav2Vec2Model(Wav2Vec2Config())
decoder = Speech2Text2ForCausalLM(Speech2Text2Config())
# init random speech2text model

model = SpeechEncoderDecoderModel(encoder=encoder, decoder=decoder)
model.config.pad_token_id = tokenizer.pad_token_id
model.config.decoder_start_token_id = tokenizer.bos_token_id
# pre-process inputs and labels

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
inputs = feature_extractor(
    ds[0]["audio"]["array"], sampling_rate=ds[0]["audio"]["sampling_rate"], return_tensors="pt"
)
input_values = inputs.input_values
decoder_input_ids = tokenizer(ds[0]["text"], return_tensors="pt").input_ids
# compute loss

loss = model(inputs=input_values, labels=decoder_input_ids).loss
# backprop loss

loss.backward()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> (
<span class="hljs-meta">... </span>    SpeechEncoderDecoderModel,
<span class="hljs-meta">... </span>    Speech2Text2ForCausalLM,
<span class="hljs-meta">... </span>    Wav2Vec2Model,
<span class="hljs-meta">... </span>    Speech2Text2Config,
<span class="hljs-meta">... </span>    Wav2Vec2Config,
<span class="hljs-meta">... </span>    Wav2Vec2FeatureExtractor,
<span class="hljs-meta">... </span>    Speech2Text2Tokenizer,
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = Wav2Vec2FeatureExtractor()
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = Speech2Text2Tokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/s2t-wav2vec2-large-en-de&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>encoder = Wav2Vec2Model(Wav2Vec2Config())
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder = Speech2Text2ForCausalLM(Speech2Text2Config())
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># init random speech2text model</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>model = SpeechEncoderDecoderModel(encoder=encoder, decoder=decoder)
<span class="hljs-meta">&gt;&gt;&gt; </span>model.config.pad_token_id = tokenizer.pad_token_id
<span class="hljs-meta">&gt;&gt;&gt; </span>model.config.decoder_start_token_id = tokenizer.bos_token_id
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># pre-process inputs and labels</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(
<span class="hljs-meta">... </span>    ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], sampling_rate=ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;sampling_rate&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>input_values = inputs.input_values
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = tokenizer(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;text&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># compute loss</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(inputs=input_values, labels=decoder_input_ids).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># backprop loss</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>loss.backward()`}}),{c(){f=s("p"),y=r("Example:"),u=l(),_(g.$$.fragment)},l(m){f=n(m,"P",{});var w=i(f);y=a(w,"Example:"),w.forEach(o),u=d(m),v(g.$$.fragment,m)},m(m,w){h(m,f,w),e(f,y),h(m,u,w),T(g,m,w),S=!0},p:hc,i(m){S||(x(g.$$.fragment,m),S=!0)},o(m){k(g.$$.fragment,m),S=!1},d(m){m&&o(f),m&&o(u),b(g,m)}}}function bc(J){let f,y,u,g,S,m,w,I,F,z,C,P,q,G,kt,le,Ir,No,Y,Wr,bt,Vr,Nr,Me,Or,Br,Oo,E,Ur,io,Rr,Hr,co,Jr,Gr,wt,Yr,Kr,St,Qr,Xr,$t,Zr,ea,lo,ta,oa,Bo,de,ra,Ae,aa,sa,Uo,pe,na,Fe,ia,ca,Ro,yt,la,Ho,K,Le,da,De,pa,ha,ma,Ie,fa,Et,ua,ga,_a,We,va,Ve,Ta,xa,Jo,te,he,po,Ne,ka,ho,ba,Go,Q,wa,zt,Sa,$a,Pt,ya,Ea,Yo,M,za,jt,Pa,ja,Ct,Ca,qa,qt,Ma,Aa,Mt,Fa,La,At,Da,Ia,Ko,Ft,mo,Wa,Qo,Oe,Xo,Lt,Be,fo,Va,Na,uo,Oa,Zo,Ue,er,me,Ba,Re,Ua,Ra,tr,oe,fe,go,He,Ha,_o,Ja,or,Dt,vo,It,Ga,rr,re,ue,To,Je,Ya,xo,Ka,ar,W,Ge,Qa,ae,Xa,Wt,Za,es,Ye,ts,os,rs,se,as,Vt,ss,ns,Nt,is,cs,ls,ge,sr,ne,_e,ko,Ke,ds,bo,ps,nr,j,Qe,hs,wo,ms,fs,Xe,us,Ot,gs,_s,vs,ve,Ze,Ts,So,xs,ks,X,et,bs,$o,ws,Ss,tt,$s,yo,ys,Es,zs,Bt,ot,ir,ie,Te,Eo,rt,Ps,zo,js,cr,$,at,Cs,Po,qs,Ms,L,Ut,As,Fs,Rt,Ls,Ds,Ht,Is,Ws,st,jo,Vs,Ns,Os,Jt,Bs,Us,Rs,xe,nt,Hs,U,Js,Co,Gs,Ys,qo,Ks,Qs,it,Mo,Xs,Zs,en,tn,Z,ct,on,Ao,rn,an,ke,sn,ee,lt,nn,dt,cn,Gt,ln,dn,pn,be,hn,we,pt,mn,ht,fn,Yt,un,gn,_n,Se,mt,vn,ft,Tn,Kt,xn,kn,lr,ce,$e,Fo,ut,bn,Lo,wn,dr,V,gt,Sn,R,$n,Qt,yn,En,Do,zn,Pn,Xt,jn,Cn,qn,_t,Mn,vt,An,Fn,Ln,ye,Tt,Dn,Ee,pr;return m=new qe({}),G=new qe({}),Ne=new qe({}),Oe=new Dr({props:{code:`import torch
from transformers import Speech2Text2Processor, SpeechEncoderDecoderModel
from datasets import load_dataset
import soundfile as sf

model = SpeechEncoderDecoderModel.from_pretrained("facebook/s2t-wav2vec2-large-en-de")
processor = Speech2Text2Processor.from_pretrained("facebook/s2t-wav2vec2-large-en-de")


def map_to_array(batch):
    speech, _ = sf.read(batch["file"])
    batch["speech"] = speech
    return batch


ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
ds = ds.map(map_to_array)

inputs = processor(ds["speech"][0], sampling_rate=16_000, return_tensors="pt")
generated_ids = model.generate(inputs=inputs["input_values"], attention_mask=inputs["attention_mask"])

transcription = processor.batch_decode(generated_ids)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Speech2Text2Processor, SpeechEncoderDecoderModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> soundfile <span class="hljs-keyword">as</span> sf

<span class="hljs-meta">&gt;&gt;&gt; </span>model = SpeechEncoderDecoderModel.from_pretrained(<span class="hljs-string">&quot;facebook/s2t-wav2vec2-large-en-de&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>processor = Speech2Text2Processor.from_pretrained(<span class="hljs-string">&quot;facebook/s2t-wav2vec2-large-en-de&quot;</span>)


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">def</span> <span class="hljs-title function_">map_to_array</span>(<span class="hljs-params">batch</span>):
<span class="hljs-meta">... </span>    speech, _ = sf.read(batch[<span class="hljs-string">&quot;file&quot;</span>])
<span class="hljs-meta">... </span>    batch[<span class="hljs-string">&quot;speech&quot;</span>] = speech
<span class="hljs-meta">... </span>    <span class="hljs-keyword">return</span> batch


<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>ds = ds.<span class="hljs-built_in">map</span>(map_to_array)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(ds[<span class="hljs-string">&quot;speech&quot;</span>][<span class="hljs-number">0</span>], sampling_rate=<span class="hljs-number">16_000</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>generated_ids = model.generate(inputs=inputs[<span class="hljs-string">&quot;input_values&quot;</span>], attention_mask=inputs[<span class="hljs-string">&quot;attention_mask&quot;</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>transcription = processor.batch_decode(generated_ids)`}}),Ue=new Dr({props:{code:`from datasets import load_dataset
from transformers import pipeline

librispeech_en = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
asr = pipeline(
    "automatic-speech-recognition",
    model="facebook/s2t-wav2vec2-large-en-de",
    feature_extractor="facebook/s2t-wav2vec2-large-en-de",
)

translation_de = asr(librispeech_en[0]["file"])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>librispeech_en = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>asr = pipeline(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;automatic-speech-recognition&quot;</span>,
<span class="hljs-meta">... </span>    model=<span class="hljs-string">&quot;facebook/s2t-wav2vec2-large-en-de&quot;</span>,
<span class="hljs-meta">... </span>    feature_extractor=<span class="hljs-string">&quot;facebook/s2t-wav2vec2-large-en-de&quot;</span>,
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>translation_de = asr(librispeech_en[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;file&quot;</span>])`}}),He=new qe({}),Je=new qe({}),Ge=new N({props:{name:"class transformers.Speech2Text2Config",anchor:"transformers.Speech2Text2Config",parameters:[{name:"vocab_size",val:" = 10000"},{name:"decoder_layers",val:" = 6"},{name:"decoder_ffn_dim",val:" = 2048"},{name:"decoder_attention_heads",val:" = 4"},{name:"decoder_layerdrop",val:" = 0.0"},{name:"use_cache",val:" = True"},{name:"activation_function",val:" = 'relu'"},{name:"d_model",val:" = 256"},{name:"dropout",val:" = 0.1"},{name:"attention_dropout",val:" = 0.0"},{name:"activation_dropout",val:" = 0.0"},{name:"init_std",val:" = 0.02"},{name:"decoder_start_token_id",val:" = 2"},{name:"scale_embedding",val:" = True"},{name:"pad_token_id",val:" = 1"},{name:"bos_token_id",val:" = 0"},{name:"eos_token_id",val:" = 2"},{name:"max_target_positions",val:" = 1024"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Speech2Text2Config.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 50265) &#x2014;
Vocabulary size of the Speech2Text model. Defines the number of different tokens that can be represented by
the <code>inputs_ids</code> passed when calling <a href="/docs/transformers/main/en/model_doc/speech_to_text#transformers.Speech2TextModel">Speech2TextModel</a>`,name:"vocab_size"},{anchor:"transformers.Speech2Text2Config.d_model",description:`<strong>d_model</strong> (<code>int</code>, <em>optional</em>, defaults to 1024) &#x2014;
Dimensionality of the layers and the pooler layer.`,name:"d_model"},{anchor:"transformers.Speech2Text2Config.decoder_layers",description:`<strong>decoder_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of decoder layers.`,name:"decoder_layers"},{anchor:"transformers.Speech2Text2Config.decoder_attention_heads",description:`<strong>decoder_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
Number of attention heads for each attention layer in the Transformer decoder.`,name:"decoder_attention_heads"},{anchor:"transformers.Speech2Text2Config.decoder_ffn_dim",description:`<strong>decoder_ffn_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 4096) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in decoder.`,name:"decoder_ffn_dim"},{anchor:"transformers.Speech2Text2Config.activation_function",description:`<strong>activation_function</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the pooler. If string, <code>&quot;gelu&quot;</code>, <code>&quot;relu&quot;</code>,
<code>&quot;silu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"activation_function"},{anchor:"transformers.Speech2Text2Config.dropout",description:`<strong>dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the embeddings, and pooler.`,name:"dropout"},{anchor:"transformers.Speech2Text2Config.attention_dropout",description:`<strong>attention_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_dropout"},{anchor:"transformers.Speech2Text2Config.activation_dropout",description:`<strong>activation_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for activations inside the fully connected layer.`,name:"activation_dropout"},{anchor:"transformers.Speech2Text2Config.init_std",description:`<strong>init_std</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.
<a href="https://arxiv.org/abs/1909.11556%3E%60" rel="nofollow">https://arxiv.org/abs/1909.11556&gt;\`</a>__ for more details.`,name:"init_std"},{anchor:"transformers.Speech2Text2Config.decoder_layerdrop",description:`<strong>decoder_layerdrop</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The LayerDrop probability for the decoder. See the [LayerDrop paper](see <a href="https://arxiv.org/abs/1909.11556" rel="nofollow">https://arxiv.org/abs/1909.11556</a>)
for more details.`,name:"decoder_layerdrop"},{anchor:"transformers.Speech2Text2Config.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models).`,name:"use_cache"},{anchor:"transformers.Speech2Text2Config.max_target_positions",description:`<strong>max_target_positions</strong> (<code>int</code>, <em>optional</em>, defaults to 1024) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"max_target_positions"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/speech_to_text_2/configuration_speech_to_text_2.py#L31"}}),ge=new pc({props:{anchor:"transformers.Speech2Text2Config.example",$$slots:{default:[vc]},$$scope:{ctx:J}}}),Ke=new qe({}),Qe=new N({props:{name:"class transformers.Speech2Text2Tokenizer",anchor:"transformers.Speech2Text2Tokenizer",parameters:[{name:"vocab_file",val:""},{name:"bos_token",val:" = '<s>'"},{name:"pad_token",val:" = '<pad>'"},{name:"eos_token",val:" = '</s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"do_lower_case",val:" = False"},{name:"merges_file",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Speech2Text2Tokenizer.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
File containing the vocabulary.`,name:"vocab_file"},{anchor:"transformers.Speech2Text2Tokenizer.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The beginning of sentence token.`,name:"bos_token"},{anchor:"transformers.Speech2Text2Tokenizer.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sentence token.`,name:"eos_token"},{anchor:"transformers.Speech2Text2Tokenizer.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.Speech2Text2Tokenizer.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.</p>
<p>**kwargs &#x2014;
Additional keyword arguments passed along to <a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>`,name:"pad_token"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/speech_to_text_2/tokenization_speech_to_text_2.py#L73"}}),Ze=new N({props:{name:"batch_decode",anchor:"transformers.Speech2Text2Tokenizer.batch_decode",parameters:[{name:"sequences",val:": typing.Union[typing.List[int], typing.List[typing.List[int]], ForwardRef('np.ndarray'), ForwardRef('torch.Tensor'), ForwardRef('tf.Tensor')]"},{name:"skip_special_tokens",val:": bool = False"},{name:"clean_up_tokenization_spaces",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Speech2Text2Tokenizer.batch_decode.sequences",description:`<strong>sequences</strong> (<code>Union[List[int], List[List[int]], np.ndarray, torch.Tensor, tf.Tensor]</code>) &#x2014;
List of tokenized input ids. Can be obtained using the <code>__call__</code> method.`,name:"sequences"},{anchor:"transformers.Speech2Text2Tokenizer.batch_decode.skip_special_tokens",description:`<strong>skip_special_tokens</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to remove special tokens in the decoding.`,name:"skip_special_tokens"},{anchor:"transformers.Speech2Text2Tokenizer.batch_decode.clean_up_tokenization_spaces",description:`<strong>clean_up_tokenization_spaces</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to clean up the tokenization spaces.`,name:"clean_up_tokenization_spaces"},{anchor:"transformers.Speech2Text2Tokenizer.batch_decode.kwargs",description:`<strong>kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Will be passed to the underlying model specific decode method.`,name:"kwargs"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/tokenization_utils_base.py#L3415",returnDescription:`
<p>The list of decoded sentences.</p>
`,returnType:`
<p><code>List[str]</code></p>
`}}),et=new N({props:{name:"decode",anchor:"transformers.Speech2Text2Tokenizer.decode",parameters:[{name:"token_ids",val:": typing.Union[int, typing.List[int], ForwardRef('np.ndarray'), ForwardRef('torch.Tensor'), ForwardRef('tf.Tensor')]"},{name:"skip_special_tokens",val:": bool = False"},{name:"clean_up_tokenization_spaces",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Speech2Text2Tokenizer.decode.token_ids",description:`<strong>token_ids</strong> (<code>Union[int, List[int], np.ndarray, torch.Tensor, tf.Tensor]</code>) &#x2014;
List of tokenized input ids. Can be obtained using the <code>__call__</code> method.`,name:"token_ids"},{anchor:"transformers.Speech2Text2Tokenizer.decode.skip_special_tokens",description:`<strong>skip_special_tokens</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to remove special tokens in the decoding.`,name:"skip_special_tokens"},{anchor:"transformers.Speech2Text2Tokenizer.decode.clean_up_tokenization_spaces",description:`<strong>clean_up_tokenization_spaces</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to clean up the tokenization spaces.`,name:"clean_up_tokenization_spaces"},{anchor:"transformers.Speech2Text2Tokenizer.decode.kwargs",description:`<strong>kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Will be passed to the underlying model specific decode method.`,name:"kwargs"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/tokenization_utils_base.py#L3448",returnDescription:`
<p>The decoded sentence.</p>
`,returnType:`
<p><code>str</code></p>
`}}),ot=new N({props:{name:"save_vocabulary",anchor:"transformers.Speech2Text2Tokenizer.save_vocabulary",parameters:[{name:"save_directory",val:": str"},{name:"filename_prefix",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/speech_to_text_2/tokenization_speech_to_text_2.py#L241"}}),rt=new qe({}),at=new N({props:{name:"class transformers.Speech2Text2Processor",anchor:"transformers.Speech2Text2Processor",parameters:[{name:"feature_extractor",val:""},{name:"tokenizer",val:""}],parametersDescription:[{anchor:"transformers.Speech2Text2Processor.feature_extractor",description:`<strong>feature_extractor</strong> (<code>AutoFeatureExtractor</code>) &#x2014;
An instance of <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoFeatureExtractor">AutoFeatureExtractor</a>. The feature extractor is a required input.`,name:"feature_extractor"},{anchor:"transformers.Speech2Text2Processor.tokenizer",description:`<strong>tokenizer</strong> (<code>Speech2Text2Tokenizer</code>) &#x2014;
An instance of <a href="/docs/transformers/main/en/model_doc/speech_to_text_2#transformers.Speech2Text2Tokenizer">Speech2Text2Tokenizer</a>. The tokenizer is a required input.`,name:"tokenizer"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/speech_to_text_2/processing_speech_to_text_2.py#L24"}}),nt=new N({props:{name:"__call__",anchor:"transformers.Speech2Text2Processor.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/speech_to_text_2/processing_speech_to_text_2.py#L46"}}),ct=new N({props:{name:"from_pretrained",anchor:"transformers.Speech2Text2Processor.from_pretrained",parameters:[{name:"pretrained_model_name_or_path",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Speech2Text2Processor.from_pretrained.pretrained_model_name_or_path",description:`<strong>pretrained_model_name_or_path</strong> (<code>str</code> or <code>os.PathLike</code>) &#x2014;
This can be either:</p>
<ul>
<li>a string, the <em>model id</em> of a pretrained feature_extractor hosted inside a model repo on
huggingface.co. Valid model ids can be located at the root-level, like <code>bert-base-uncased</code>, or
namespaced under a user or organization name, like <code>dbmdz/bert-base-german-cased</code>.</li>
<li>a path to a <em>directory</em> containing a feature extractor file saved using the
<a href="/docs/transformers/main/en/main_classes/feature_extractor#transformers.FeatureExtractionMixin.save_pretrained">save_pretrained()</a> method, e.g., <code>./my_model_directory/</code>.</li>
<li>a path or url to a saved feature extractor JSON <em>file</em>, e.g.,
<code>./my_model_directory/preprocessor_config.json</code>.
**kwargs &#x2014;
Additional keyword arguments passed along to both
<a href="/docs/transformers/main/en/main_classes/feature_extractor#transformers.FeatureExtractionMixin.from_pretrained">from_pretrained()</a> and
<code>~tokenization_utils_base.PreTrainedTokenizer.from_pretrained</code>.</li>
</ul>`,name:"pretrained_model_name_or_path"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/processing_utils.py#L153"}}),ke=new dc({props:{$$slots:{default:[Tc]},$$scope:{ctx:J}}}),lt=new N({props:{name:"save_pretrained",anchor:"transformers.Speech2Text2Processor.save_pretrained",parameters:[{name:"save_directory",val:""},{name:"push_to_hub",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Speech2Text2Processor.save_pretrained.save_directory",description:`<strong>save_directory</strong> (<code>str</code> or <code>os.PathLike</code>) &#x2014;
Directory where the feature extractor JSON file and the tokenizer files will be saved (directory will
be created if it does not exist).`,name:"save_directory"},{anchor:"transformers.Speech2Text2Processor.save_pretrained.push_to_hub",description:`<strong>push_to_hub</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to push your model to the Hugging Face model hub after saving it. You can specify the
repository you want to push to with <code>repo_id</code> (will default to the name of <code>save_directory</code> in your
namespace).
kwargs &#x2014;
Additional key word arguments passed along to the <a href="/docs/transformers/main/en/internal/image_processing_utils#transformers.ImageProcessingMixin.push_to_hub">push_to_hub()</a> method.`,name:"push_to_hub"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/processing_utils.py#L91"}}),be=new dc({props:{$$slots:{default:[xc]},$$scope:{ctx:J}}}),pt=new N({props:{name:"batch_decode",anchor:"transformers.Speech2Text2Processor.batch_decode",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/speech_to_text_2/processing_speech_to_text_2.py#L85"}}),mt=new N({props:{name:"decode",anchor:"transformers.Speech2Text2Processor.decode",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/speech_to_text_2/processing_speech_to_text_2.py#L92"}}),ut=new qe({}),gt=new N({props:{name:"class transformers.Speech2Text2ForCausalLM",anchor:"transformers.Speech2Text2ForCausalLM",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.Speech2Text2ForCausalLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/speech_to_text_2#transformers.Speech2Text2Config">Speech2Text2Config</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/speech_to_text_2/modeling_speech_to_text_2.py#L758"}}),Tt=new N({props:{name:"forward",anchor:"transformers.Speech2Text2ForCausalLM.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.Speech2Text2ForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you
provide it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/speech_to_text_2#transformers.Speech2Text2Tokenizer">Speech2Text2Tokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.Speech2Text2ForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.Speech2Text2ForCausalLM.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong>  (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention
if the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.Speech2Text2ForCausalLM.forward.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used
in the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:`,name:"encoder_attention_mask"},{anchor:"transformers.Speech2Text2ForCausalLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.Speech2Text2ForCausalLM.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.Speech2Text2ForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of
shape <code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of
shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>. The two additional
tensors are only required when the model is used as a decoder in a Sequence to Sequence model.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the
cross-attention blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those
that don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of
all <code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.Speech2Text2ForCausalLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should either be in <code>[0, ..., config.vocab_size]</code> or -100 (see <code>input_ids</code> docstring). Tokens with indices set to <code>-100</code> are ignored
(masked), the loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>.`,name:"labels"},{anchor:"transformers.Speech2Text2ForCausalLM.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding
(see <code>past_key_values</code>).</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"use_cache"},{anchor:"transformers.Speech2Text2ForCausalLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under
returned tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.Speech2Text2ForCausalLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors
for more detail.`,name:"output_hidden_states"},{anchor:"transformers.Speech2Text2ForCausalLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/speech_to_text_2/modeling_speech_to_text_2.py#L791",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/speech_to_text_2#transformers.Speech2Text2Config"
>Speech2Text2Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Cross attentions weights after the attention softmax, used to compute the weighted average in the
cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> tuples of length <code>config.n_layers</code>, with each tuple containing the cached key,
value states of the self-attention and the cross-attention layers if model is used in encoder-decoder
setting. Only relevant if <code>config.is_decoder = True</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ee=new pc({props:{anchor:"transformers.Speech2Text2ForCausalLM.forward.example",$$slots:{default:[kc]},$$scope:{ctx:J}}}),{c(){f=s("meta"),y=l(),u=s("h1"),g=s("a"),S=s("span"),_(m.$$.fragment),w=l(),I=s("span"),F=r("Speech2Text2"),z=l(),C=s("h2"),P=s("a"),q=s("span"),_(G.$$.fragment),kt=l(),le=s("span"),Ir=r("Overview"),No=l(),Y=s("p"),Wr=r("The Speech2Text2 model is used together with "),bt=s("a"),Vr=r("Wav2Vec2"),Nr=r(` for Speech Translation models proposed in
`),Me=s("a"),Or=r("Large-Scale Self- and Semi-Supervised Learning for Speech Translation"),Br=r(` by
Changhan Wang, Anne Wu, Juan Pino, Alexei Baevski, Michael Auli, Alexis Conneau.`),Oo=l(),E=s("p"),Ur=r("Speech2Text2 is a "),io=s("em"),Rr=r("decoder-only"),Hr=r(" transformer model that can be used with any speech "),co=s("em"),Jr=r("encoder-only"),Gr=r(`, such as
`),wt=s("a"),Yr=r("Wav2Vec2"),Kr=r(" or "),St=s("a"),Qr=r("HuBERT"),Xr=r(` for Speech-to-Text tasks. Please refer to the
`),$t=s("a"),Zr=r("SpeechEncoderDecoder"),ea=r(" class on how to combine Speech2Text2 with any speech "),lo=s("em"),ta=r("encoder-only"),oa=r(`
model.`),Bo=l(),de=s("p"),ra=r("This model was contributed by "),Ae=s("a"),aa=r("Patrick von Platen"),sa=r("."),Uo=l(),pe=s("p"),na=r("The original code can be found "),Fe=s("a"),ia=r("here"),ca=r("."),Ro=l(),yt=s("p"),la=r("Tips:"),Ho=l(),K=s("ul"),Le=s("li"),da=r(`Speech2Text2 achieves state-of-the-art results on the CoVoST Speech Translation dataset. For more information, see
the `),De=s("a"),pa=r("official models"),ha=r(" ."),ma=l(),Ie=s("li"),fa=r("Speech2Text2 is always used within the "),Et=s("a"),ua=r("SpeechEncoderDecoder"),ga=r(" framework."),_a=l(),We=s("li"),va=r("Speech2Text2\u2019s tokenizer is based on "),Ve=s("a"),Ta=r("fastBPE"),xa=r("."),Jo=l(),te=s("h2"),he=s("a"),po=s("span"),_(Ne.$$.fragment),ka=l(),ho=s("span"),ba=r("Inference"),Go=l(),Q=s("p"),wa=r("Speech2Text2\u2019s "),zt=s("a"),Sa=r("SpeechEncoderDecoderModel"),$a=r(` model accepts raw waveform input values from speech and
makes use of `),Pt=s("a"),ya=r("generate()"),Ea=r(` to translate the input speech
autoregressively to the target language.`),Yo=l(),M=s("p"),za=r("The "),jt=s("a"),Pa=r("Wav2Vec2FeatureExtractor"),ja=r(` class is responsible for preprocessing the input speech and
`),Ct=s("a"),Ca=r("Speech2Text2Tokenizer"),qa=r(` decodes the generated target tokens to the target string. The
`),qt=s("a"),Ma=r("Speech2Text2Processor"),Aa=r(" wraps "),Mt=s("a"),Fa=r("Wav2Vec2FeatureExtractor"),La=r(` and
`),At=s("a"),Da=r("Speech2Text2Tokenizer"),Ia=r(` into a single instance to both extract the input features and decode the
predicted token ids.`),Ko=l(),Ft=s("ul"),mo=s("li"),Wa=r("Step-by-step Speech Translation"),Qo=l(),_(Oe.$$.fragment),Xo=l(),Lt=s("ul"),Be=s("li"),fo=s("p"),Va=r("Speech Translation via Pipelines"),Na=l(),uo=s("p"),Oa=r("The automatic speech recognition pipeline can also be used to translate speech in just a couple lines of code"),Zo=l(),_(Ue.$$.fragment),er=l(),me=s("p"),Ba=r("See "),Re=s("a"),Ua=r("model hub"),Ra=r(" to look for Speech2Text2 checkpoints."),tr=l(),oe=s("h2"),fe=s("a"),go=s("span"),_(He.$$.fragment),Ha=l(),_o=s("span"),Ja=r("Documentation resources"),or=l(),Dt=s("ul"),vo=s("li"),It=s("a"),Ga=r("Causal language modeling task guide"),rr=l(),re=s("h2"),ue=s("a"),To=s("span"),_(Je.$$.fragment),Ya=l(),xo=s("span"),Ka=r("Speech2Text2Config"),ar=l(),W=s("div"),_(Ge.$$.fragment),Qa=l(),ae=s("p"),Xa=r("This is the configuration class to store the configuration of a "),Wt=s("a"),Za=r("Speech2Text2ForCausalLM"),es=r(`. It is used to
instantiate an Speech2Text2 model according to the specified arguments, defining the model architecture.
Instantiating a configuration with the defaults will yield a similar configuration to that of the Speech2Text2
`),Ye=s("a"),ts=r("facebook/s2t-wav2vec2-large-en-de"),os=r(" architecture."),rs=l(),se=s("p"),as=r("Configuration objects inherit from "),Vt=s("a"),ss=r("PretrainedConfig"),ns=r(` and can be used to control the model outputs. Read the
documentation from `),Nt=s("a"),is=r("PretrainedConfig"),cs=r(" for more information."),ls=l(),_(ge.$$.fragment),sr=l(),ne=s("h2"),_e=s("a"),ko=s("span"),_(Ke.$$.fragment),ds=l(),bo=s("span"),ps=r("Speech2TextTokenizer"),nr=l(),j=s("div"),_(Qe.$$.fragment),hs=l(),wo=s("p"),ms=r("Constructs a Speech2Text2Tokenizer."),fs=l(),Xe=s("p"),us=r("This tokenizer inherits from "),Ot=s("a"),gs=r("PreTrainedTokenizer"),_s=r(` which contains some of the main methods. Users should refer to
the superclass for more information regarding such methods.`),vs=l(),ve=s("div"),_(Ze.$$.fragment),Ts=l(),So=s("p"),xs=r("Convert a list of lists of token ids into a list of strings by calling decode."),ks=l(),X=s("div"),_(et.$$.fragment),bs=l(),$o=s("p"),ws=r(`Converts a sequence of ids in a string, using the tokenizer and vocabulary with options to remove special
tokens and clean up tokenization spaces.`),Ss=l(),tt=s("p"),$s=r("Similar to doing "),yo=s("code"),ys=r("self.convert_tokens_to_string(self.convert_ids_to_tokens(token_ids))"),Es=r("."),zs=l(),Bt=s("div"),_(ot.$$.fragment),ir=l(),ie=s("h2"),Te=s("a"),Eo=s("span"),_(rt.$$.fragment),Ps=l(),zo=s("span"),js=r("Speech2Text2Processor"),cr=l(),$=s("div"),_(at.$$.fragment),Cs=l(),Po=s("p"),qs=r(`Constructs a Speech2Text2 processor which wraps a Speech2Text2 feature extractor and a Speech2Text2 tokenizer into
a single processor.`),Ms=l(),L=s("p"),Ut=s("a"),As=r("Speech2Text2Processor"),Fs=r(" offers all the functionalities of "),Rt=s("a"),Ls=r("AutoFeatureExtractor"),Ds=r(" and "),Ht=s("a"),Is=r("Speech2Text2Tokenizer"),Ws=r(`.
See the `),st=s("a"),jo=s("strong"),Vs=r("call"),Ns=r("()"),Os=r(" and "),Jt=s("a"),Bs=r("decode()"),Us=r(" for more information."),Rs=l(),xe=s("div"),_(nt.$$.fragment),Hs=l(),U=s("p"),Js=r(`When used in normal mode, this method forwards all its arguments to AutoFeatureExtractor\u2019s
`),Co=s("code"),Gs=r("__call__()"),Ys=r(` and returns its output. If used in the context
`),qo=s("code"),Ks=r("as_target_processor()"),Qs=r(` this method forwards all its arguments to
Speech2Text2Tokenizer\u2019s `),it=s("a"),Mo=s("strong"),Xs=r("call"),Zs=r("()"),en=r(`. Please refer to the doctsring of the above two
methods for more information.`),tn=l(),Z=s("div"),_(ct.$$.fragment),on=l(),Ao=s("p"),rn=r("Instantiate a processor associated with a pretrained model."),an=l(),_(ke.$$.fragment),sn=l(),ee=s("div"),_(lt.$$.fragment),nn=l(),dt=s("p"),cn=r(`Saves the attributes of this processor (feature extractor, tokenizer\u2026) in the specified directory so that it
can be reloaded using the `),Gt=s("a"),ln=r("from_pretrained()"),dn=r(" method."),pn=l(),_(be.$$.fragment),hn=l(),we=s("div"),_(pt.$$.fragment),mn=l(),ht=s("p"),fn=r("This method forwards all its arguments to Speech2Text2Tokenizer\u2019s "),Yt=s("a"),un=r("batch_decode()"),gn=r(`. Please
refer to the docstring of this method for more information.`),_n=l(),Se=s("div"),_(mt.$$.fragment),vn=l(),ft=s("p"),Tn=r("This method forwards all its arguments to Speech2Text2Tokenizer\u2019s "),Kt=s("a"),xn=r("decode()"),kn=r(`. Please refer
to the docstring of this method for more information.`),lr=l(),ce=s("h2"),$e=s("a"),Fo=s("span"),_(ut.$$.fragment),bn=l(),Lo=s("span"),wn=r("Speech2Text2ForCausalLM"),dr=l(),V=s("div"),_(gt.$$.fragment),Sn=l(),R=s("p"),$n=r("The Speech2Text2 Decoder with a language modeling head. Can be used as the decoder part of "),Qt=s("a"),yn=r("EncoderDecoderModel"),En=r(" and "),Do=s("code"),zn=r("SpeechEncoderDecoder"),Pn=r(`.
This model inherits from `),Xt=s("a"),jn=r("PreTrainedModel"),Cn=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),qn=l(),_t=s("p"),Mn=r("This model is also a PyTorch "),vt=s("a"),An=r("torch.nn.Module"),Fn=r(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Ln=l(),ye=s("div"),_(Tt.$$.fragment),Dn=l(),_(Ee.$$.fragment),this.h()},l(t){const p=gc('[data-svelte="svelte-1phssyn"]',document.head);f=n(p,"META",{name:!0,content:!0}),p.forEach(o),y=d(t),u=n(t,"H1",{class:!0});var xt=i(u);g=n(xt,"A",{id:!0,class:!0,href:!0});var Io=i(g);S=n(Io,"SPAN",{});var Wo=i(S);v(m.$$.fragment,Wo),Wo.forEach(o),Io.forEach(o),w=d(xt),I=n(xt,"SPAN",{});var Vo=i(I);F=a(Vo,"Speech2Text2"),Vo.forEach(o),xt.forEach(o),z=d(t),C=n(t,"H2",{class:!0});var hr=i(C);P=n(hr,"A",{id:!0,class:!0,href:!0});var Vn=i(P);q=n(Vn,"SPAN",{});var Nn=i(q);v(G.$$.fragment,Nn),Nn.forEach(o),Vn.forEach(o),kt=d(hr),le=n(hr,"SPAN",{});var On=i(le);Ir=a(On,"Overview"),On.forEach(o),hr.forEach(o),No=d(t),Y=n(t,"P",{});var Zt=i(Y);Wr=a(Zt,"The Speech2Text2 model is used together with "),bt=n(Zt,"A",{href:!0});var Bn=i(bt);Vr=a(Bn,"Wav2Vec2"),Bn.forEach(o),Nr=a(Zt,` for Speech Translation models proposed in
`),Me=n(Zt,"A",{href:!0,rel:!0});var Un=i(Me);Or=a(Un,"Large-Scale Self- and Semi-Supervised Learning for Speech Translation"),Un.forEach(o),Br=a(Zt,` by
Changhan Wang, Anne Wu, Juan Pino, Alexei Baevski, Michael Auli, Alexis Conneau.`),Zt.forEach(o),Oo=d(t),E=n(t,"P",{});var D=i(E);Ur=a(D,"Speech2Text2 is a "),io=n(D,"EM",{});var Rn=i(io);Rr=a(Rn,"decoder-only"),Rn.forEach(o),Hr=a(D," transformer model that can be used with any speech "),co=n(D,"EM",{});var Hn=i(co);Jr=a(Hn,"encoder-only"),Hn.forEach(o),Gr=a(D,`, such as
`),wt=n(D,"A",{href:!0});var Jn=i(wt);Yr=a(Jn,"Wav2Vec2"),Jn.forEach(o),Kr=a(D," or "),St=n(D,"A",{href:!0});var Gn=i(St);Qr=a(Gn,"HuBERT"),Gn.forEach(o),Xr=a(D,` for Speech-to-Text tasks. Please refer to the
`),$t=n(D,"A",{href:!0});var Yn=i($t);Zr=a(Yn,"SpeechEncoderDecoder"),Yn.forEach(o),ea=a(D," class on how to combine Speech2Text2 with any speech "),lo=n(D,"EM",{});var Kn=i(lo);ta=a(Kn,"encoder-only"),Kn.forEach(o),oa=a(D,`
model.`),D.forEach(o),Bo=d(t),de=n(t,"P",{});var mr=i(de);ra=a(mr,"This model was contributed by "),Ae=n(mr,"A",{href:!0,rel:!0});var Qn=i(Ae);aa=a(Qn,"Patrick von Platen"),Qn.forEach(o),sa=a(mr,"."),mr.forEach(o),Uo=d(t),pe=n(t,"P",{});var fr=i(pe);na=a(fr,"The original code can be found "),Fe=n(fr,"A",{href:!0,rel:!0});var Xn=i(Fe);ia=a(Xn,"here"),Xn.forEach(o),ca=a(fr,"."),fr.forEach(o),Ro=d(t),yt=n(t,"P",{});var Zn=i(yt);la=a(Zn,"Tips:"),Zn.forEach(o),Ho=d(t),K=n(t,"UL",{});var eo=i(K);Le=n(eo,"LI",{});var ur=i(Le);da=a(ur,`Speech2Text2 achieves state-of-the-art results on the CoVoST Speech Translation dataset. For more information, see
the `),De=n(ur,"A",{href:!0,rel:!0});var ei=i(De);pa=a(ei,"official models"),ei.forEach(o),ha=a(ur," ."),ur.forEach(o),ma=d(eo),Ie=n(eo,"LI",{});var gr=i(Ie);fa=a(gr,"Speech2Text2 is always used within the "),Et=n(gr,"A",{href:!0});var ti=i(Et);ua=a(ti,"SpeechEncoderDecoder"),ti.forEach(o),ga=a(gr," framework."),gr.forEach(o),_a=d(eo),We=n(eo,"LI",{});var _r=i(We);va=a(_r,"Speech2Text2\u2019s tokenizer is based on "),Ve=n(_r,"A",{href:!0,rel:!0});var oi=i(Ve);Ta=a(oi,"fastBPE"),oi.forEach(o),xa=a(_r,"."),_r.forEach(o),eo.forEach(o),Jo=d(t),te=n(t,"H2",{class:!0});var vr=i(te);he=n(vr,"A",{id:!0,class:!0,href:!0});var ri=i(he);po=n(ri,"SPAN",{});var ai=i(po);v(Ne.$$.fragment,ai),ai.forEach(o),ri.forEach(o),ka=d(vr),ho=n(vr,"SPAN",{});var si=i(ho);ba=a(si,"Inference"),si.forEach(o),vr.forEach(o),Go=d(t),Q=n(t,"P",{});var to=i(Q);wa=a(to,"Speech2Text2\u2019s "),zt=n(to,"A",{href:!0});var ni=i(zt);Sa=a(ni,"SpeechEncoderDecoderModel"),ni.forEach(o),$a=a(to,` model accepts raw waveform input values from speech and
makes use of `),Pt=n(to,"A",{href:!0});var ii=i(Pt);ya=a(ii,"generate()"),ii.forEach(o),Ea=a(to,` to translate the input speech
autoregressively to the target language.`),to.forEach(o),Yo=d(t),M=n(t,"P",{});var O=i(M);za=a(O,"The "),jt=n(O,"A",{href:!0});var ci=i(jt);Pa=a(ci,"Wav2Vec2FeatureExtractor"),ci.forEach(o),ja=a(O,` class is responsible for preprocessing the input speech and
`),Ct=n(O,"A",{href:!0});var li=i(Ct);Ca=a(li,"Speech2Text2Tokenizer"),li.forEach(o),qa=a(O,` decodes the generated target tokens to the target string. The
`),qt=n(O,"A",{href:!0});var di=i(qt);Ma=a(di,"Speech2Text2Processor"),di.forEach(o),Aa=a(O," wraps "),Mt=n(O,"A",{href:!0});var pi=i(Mt);Fa=a(pi,"Wav2Vec2FeatureExtractor"),pi.forEach(o),La=a(O,` and
`),At=n(O,"A",{href:!0});var hi=i(At);Da=a(hi,"Speech2Text2Tokenizer"),hi.forEach(o),Ia=a(O,` into a single instance to both extract the input features and decode the
predicted token ids.`),O.forEach(o),Ko=d(t),Ft=n(t,"UL",{});var mi=i(Ft);mo=n(mi,"LI",{});var fi=i(mo);Wa=a(fi,"Step-by-step Speech Translation"),fi.forEach(o),mi.forEach(o),Qo=d(t),v(Oe.$$.fragment,t),Xo=d(t),Lt=n(t,"UL",{});var ui=i(Lt);Be=n(ui,"LI",{});var Tr=i(Be);fo=n(Tr,"P",{});var gi=i(fo);Va=a(gi,"Speech Translation via Pipelines"),gi.forEach(o),Na=d(Tr),uo=n(Tr,"P",{});var _i=i(uo);Oa=a(_i,"The automatic speech recognition pipeline can also be used to translate speech in just a couple lines of code"),_i.forEach(o),Tr.forEach(o),ui.forEach(o),Zo=d(t),v(Ue.$$.fragment,t),er=d(t),me=n(t,"P",{});var xr=i(me);Ba=a(xr,"See "),Re=n(xr,"A",{href:!0,rel:!0});var vi=i(Re);Ua=a(vi,"model hub"),vi.forEach(o),Ra=a(xr," to look for Speech2Text2 checkpoints."),xr.forEach(o),tr=d(t),oe=n(t,"H2",{class:!0});var kr=i(oe);fe=n(kr,"A",{id:!0,class:!0,href:!0});var Ti=i(fe);go=n(Ti,"SPAN",{});var xi=i(go);v(He.$$.fragment,xi),xi.forEach(o),Ti.forEach(o),Ha=d(kr),_o=n(kr,"SPAN",{});var ki=i(_o);Ja=a(ki,"Documentation resources"),ki.forEach(o),kr.forEach(o),or=d(t),Dt=n(t,"UL",{});var bi=i(Dt);vo=n(bi,"LI",{});var wi=i(vo);It=n(wi,"A",{href:!0});var Si=i(It);Ga=a(Si,"Causal language modeling task guide"),Si.forEach(o),wi.forEach(o),bi.forEach(o),rr=d(t),re=n(t,"H2",{class:!0});var br=i(re);ue=n(br,"A",{id:!0,class:!0,href:!0});var $i=i(ue);To=n($i,"SPAN",{});var yi=i(To);v(Je.$$.fragment,yi),yi.forEach(o),$i.forEach(o),Ya=d(br),xo=n(br,"SPAN",{});var Ei=i(xo);Ka=a(Ei,"Speech2Text2Config"),Ei.forEach(o),br.forEach(o),ar=d(t),W=n(t,"DIV",{class:!0});var ze=i(W);v(Ge.$$.fragment,ze),Qa=d(ze),ae=n(ze,"P",{});var oo=i(ae);Xa=a(oo,"This is the configuration class to store the configuration of a "),Wt=n(oo,"A",{href:!0});var zi=i(Wt);Za=a(zi,"Speech2Text2ForCausalLM"),zi.forEach(o),es=a(oo,`. It is used to
instantiate an Speech2Text2 model according to the specified arguments, defining the model architecture.
Instantiating a configuration with the defaults will yield a similar configuration to that of the Speech2Text2
`),Ye=n(oo,"A",{href:!0,rel:!0});var Pi=i(Ye);ts=a(Pi,"facebook/s2t-wav2vec2-large-en-de"),Pi.forEach(o),os=a(oo," architecture."),oo.forEach(o),rs=d(ze),se=n(ze,"P",{});var ro=i(se);as=a(ro,"Configuration objects inherit from "),Vt=n(ro,"A",{href:!0});var ji=i(Vt);ss=a(ji,"PretrainedConfig"),ji.forEach(o),ns=a(ro,` and can be used to control the model outputs. Read the
documentation from `),Nt=n(ro,"A",{href:!0});var Ci=i(Nt);is=a(Ci,"PretrainedConfig"),Ci.forEach(o),cs=a(ro," for more information."),ro.forEach(o),ls=d(ze),v(ge.$$.fragment,ze),ze.forEach(o),sr=d(t),ne=n(t,"H2",{class:!0});var wr=i(ne);_e=n(wr,"A",{id:!0,class:!0,href:!0});var qi=i(_e);ko=n(qi,"SPAN",{});var Mi=i(ko);v(Ke.$$.fragment,Mi),Mi.forEach(o),qi.forEach(o),ds=d(wr),bo=n(wr,"SPAN",{});var Ai=i(bo);ps=a(Ai,"Speech2TextTokenizer"),Ai.forEach(o),wr.forEach(o),nr=d(t),j=n(t,"DIV",{class:!0});var B=i(j);v(Qe.$$.fragment,B),hs=d(B),wo=n(B,"P",{});var Fi=i(wo);ms=a(Fi,"Constructs a Speech2Text2Tokenizer."),Fi.forEach(o),fs=d(B),Xe=n(B,"P",{});var Sr=i(Xe);us=a(Sr,"This tokenizer inherits from "),Ot=n(Sr,"A",{href:!0});var Li=i(Ot);gs=a(Li,"PreTrainedTokenizer"),Li.forEach(o),_s=a(Sr,` which contains some of the main methods. Users should refer to
the superclass for more information regarding such methods.`),Sr.forEach(o),vs=d(B),ve=n(B,"DIV",{class:!0});var $r=i(ve);v(Ze.$$.fragment,$r),Ts=d($r),So=n($r,"P",{});var Di=i(So);xs=a(Di,"Convert a list of lists of token ids into a list of strings by calling decode."),Di.forEach(o),$r.forEach(o),ks=d(B),X=n(B,"DIV",{class:!0});var ao=i(X);v(et.$$.fragment,ao),bs=d(ao),$o=n(ao,"P",{});var Ii=i($o);ws=a(Ii,`Converts a sequence of ids in a string, using the tokenizer and vocabulary with options to remove special
tokens and clean up tokenization spaces.`),Ii.forEach(o),Ss=d(ao),tt=n(ao,"P",{});var yr=i(tt);$s=a(yr,"Similar to doing "),yo=n(yr,"CODE",{});var Wi=i(yo);ys=a(Wi,"self.convert_tokens_to_string(self.convert_ids_to_tokens(token_ids))"),Wi.forEach(o),Es=a(yr,"."),yr.forEach(o),ao.forEach(o),zs=d(B),Bt=n(B,"DIV",{class:!0});var Vi=i(Bt);v(ot.$$.fragment,Vi),Vi.forEach(o),B.forEach(o),ir=d(t),ie=n(t,"H2",{class:!0});var Er=i(ie);Te=n(Er,"A",{id:!0,class:!0,href:!0});var Ni=i(Te);Eo=n(Ni,"SPAN",{});var Oi=i(Eo);v(rt.$$.fragment,Oi),Oi.forEach(o),Ni.forEach(o),Ps=d(Er),zo=n(Er,"SPAN",{});var Bi=i(zo);js=a(Bi,"Speech2Text2Processor"),Bi.forEach(o),Er.forEach(o),cr=d(t),$=n(t,"DIV",{class:!0});var A=i($);v(at.$$.fragment,A),Cs=d(A),Po=n(A,"P",{});var Ui=i(Po);qs=a(Ui,`Constructs a Speech2Text2 processor which wraps a Speech2Text2 feature extractor and a Speech2Text2 tokenizer into
a single processor.`),Ui.forEach(o),Ms=d(A),L=n(A,"P",{});var H=i(L);Ut=n(H,"A",{href:!0});var Ri=i(Ut);As=a(Ri,"Speech2Text2Processor"),Ri.forEach(o),Fs=a(H," offers all the functionalities of "),Rt=n(H,"A",{href:!0});var Hi=i(Rt);Ls=a(Hi,"AutoFeatureExtractor"),Hi.forEach(o),Ds=a(H," and "),Ht=n(H,"A",{href:!0});var Ji=i(Ht);Is=a(Ji,"Speech2Text2Tokenizer"),Ji.forEach(o),Ws=a(H,`.
See the `),st=n(H,"A",{href:!0});var In=i(st);jo=n(In,"STRONG",{});var Gi=i(jo);Vs=a(Gi,"call"),Gi.forEach(o),Ns=a(In,"()"),In.forEach(o),Os=a(H," and "),Jt=n(H,"A",{href:!0});var Yi=i(Jt);Bs=a(Yi,"decode()"),Yi.forEach(o),Us=a(H," for more information."),H.forEach(o),Rs=d(A),xe=n(A,"DIV",{class:!0});var zr=i(xe);v(nt.$$.fragment,zr),Hs=d(zr),U=n(zr,"P",{});var Pe=i(U);Js=a(Pe,`When used in normal mode, this method forwards all its arguments to AutoFeatureExtractor\u2019s
`),Co=n(Pe,"CODE",{});var Ki=i(Co);Gs=a(Ki,"__call__()"),Ki.forEach(o),Ys=a(Pe,` and returns its output. If used in the context
`),qo=n(Pe,"CODE",{});var Qi=i(qo);Ks=a(Qi,"as_target_processor()"),Qi.forEach(o),Qs=a(Pe,` this method forwards all its arguments to
Speech2Text2Tokenizer\u2019s `),it=n(Pe,"A",{href:!0});var Wn=i(it);Mo=n(Wn,"STRONG",{});var Xi=i(Mo);Xs=a(Xi,"call"),Xi.forEach(o),Zs=a(Wn,"()"),Wn.forEach(o),en=a(Pe,`. Please refer to the doctsring of the above two
methods for more information.`),Pe.forEach(o),zr.forEach(o),tn=d(A),Z=n(A,"DIV",{class:!0});var so=i(Z);v(ct.$$.fragment,so),on=d(so),Ao=n(so,"P",{});var Zi=i(Ao);rn=a(Zi,"Instantiate a processor associated with a pretrained model."),Zi.forEach(o),an=d(so),v(ke.$$.fragment,so),so.forEach(o),sn=d(A),ee=n(A,"DIV",{class:!0});var no=i(ee);v(lt.$$.fragment,no),nn=d(no),dt=n(no,"P",{});var Pr=i(dt);cn=a(Pr,`Saves the attributes of this processor (feature extractor, tokenizer\u2026) in the specified directory so that it
can be reloaded using the `),Gt=n(Pr,"A",{href:!0});var ec=i(Gt);ln=a(ec,"from_pretrained()"),ec.forEach(o),dn=a(Pr," method."),Pr.forEach(o),pn=d(no),v(be.$$.fragment,no),no.forEach(o),hn=d(A),we=n(A,"DIV",{class:!0});var jr=i(we);v(pt.$$.fragment,jr),mn=d(jr),ht=n(jr,"P",{});var Cr=i(ht);fn=a(Cr,"This method forwards all its arguments to Speech2Text2Tokenizer\u2019s "),Yt=n(Cr,"A",{href:!0});var tc=i(Yt);un=a(tc,"batch_decode()"),tc.forEach(o),gn=a(Cr,`. Please
refer to the docstring of this method for more information.`),Cr.forEach(o),jr.forEach(o),_n=d(A),Se=n(A,"DIV",{class:!0});var qr=i(Se);v(mt.$$.fragment,qr),vn=d(qr),ft=n(qr,"P",{});var Mr=i(ft);Tn=a(Mr,"This method forwards all its arguments to Speech2Text2Tokenizer\u2019s "),Kt=n(Mr,"A",{href:!0});var oc=i(Kt);xn=a(oc,"decode()"),oc.forEach(o),kn=a(Mr,`. Please refer
to the docstring of this method for more information.`),Mr.forEach(o),qr.forEach(o),A.forEach(o),lr=d(t),ce=n(t,"H2",{class:!0});var Ar=i(ce);$e=n(Ar,"A",{id:!0,class:!0,href:!0});var rc=i($e);Fo=n(rc,"SPAN",{});var ac=i(Fo);v(ut.$$.fragment,ac),ac.forEach(o),rc.forEach(o),bn=d(Ar),Lo=n(Ar,"SPAN",{});var sc=i(Lo);wn=a(sc,"Speech2Text2ForCausalLM"),sc.forEach(o),Ar.forEach(o),dr=d(t),V=n(t,"DIV",{class:!0});var je=i(V);v(gt.$$.fragment,je),Sn=d(je),R=n(je,"P",{});var Ce=i(R);$n=a(Ce,"The Speech2Text2 Decoder with a language modeling head. Can be used as the decoder part of "),Qt=n(Ce,"A",{href:!0});var nc=i(Qt);yn=a(nc,"EncoderDecoderModel"),nc.forEach(o),En=a(Ce," and "),Do=n(Ce,"CODE",{});var ic=i(Do);zn=a(ic,"SpeechEncoderDecoder"),ic.forEach(o),Pn=a(Ce,`.
This model inherits from `),Xt=n(Ce,"A",{href:!0});var cc=i(Xt);jn=a(cc,"PreTrainedModel"),cc.forEach(o),Cn=a(Ce,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ce.forEach(o),qn=d(je),_t=n(je,"P",{});var Fr=i(_t);Mn=a(Fr,"This model is also a PyTorch "),vt=n(Fr,"A",{href:!0,rel:!0});var lc=i(vt);An=a(lc,"torch.nn.Module"),lc.forEach(o),Fn=a(Fr,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Fr.forEach(o),Ln=d(je),ye=n(je,"DIV",{class:!0});var Lr=i(ye);v(Tt.$$.fragment,Lr),Dn=d(Lr),v(Ee.$$.fragment,Lr),Lr.forEach(o),je.forEach(o),this.h()},h(){c(f,"name","hf:doc:metadata"),c(f,"content",JSON.stringify(wc)),c(g,"id","speech2text2"),c(g,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(g,"href","#speech2text2"),c(u,"class","relative group"),c(P,"id","overview"),c(P,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(P,"href","#overview"),c(C,"class","relative group"),c(bt,"href","wav2vec2"),c(Me,"href","https://arxiv.org/abs/2104.06678"),c(Me,"rel","nofollow"),c(wt,"href","wav2vec2"),c(St,"href","hubert"),c($t,"href","speech-encoder-decoder"),c(Ae,"href","https://huggingface.co/patrickvonplaten"),c(Ae,"rel","nofollow"),c(Fe,"href","https://github.com/pytorch/fairseq/blob/1f7ef9ed1e1061f8c7f88f8b94c7186834398690/fairseq/models/wav2vec/wav2vec2_asr.py#L266"),c(Fe,"rel","nofollow"),c(De,"href","https://huggingface.co/models?other=speech2text2"),c(De,"rel","nofollow"),c(Et,"href","speech-encoder-decoder"),c(Ve,"href","https://github.com/glample/fastBPE"),c(Ve,"rel","nofollow"),c(he,"id","inference"),c(he,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(he,"href","#inference"),c(te,"class","relative group"),c(zt,"href","/docs/transformers/main/en/model_doc/speech-encoder-decoder#transformers.SpeechEncoderDecoderModel"),c(Pt,"href","/docs/transformers/main/en/main_classes/text_generation#transformers.GenerationMixin.generate"),c(jt,"href","/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2FeatureExtractor"),c(Ct,"href","/docs/transformers/main/en/model_doc/speech_to_text_2#transformers.Speech2Text2Tokenizer"),c(qt,"href","/docs/transformers/main/en/model_doc/speech_to_text_2#transformers.Speech2Text2Processor"),c(Mt,"href","/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2FeatureExtractor"),c(At,"href","/docs/transformers/main/en/model_doc/speech_to_text_2#transformers.Speech2Text2Tokenizer"),c(Re,"href","https://huggingface.co/models?filter=speech2text2"),c(Re,"rel","nofollow"),c(fe,"id","documentation-resources"),c(fe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(fe,"href","#documentation-resources"),c(oe,"class","relative group"),c(It,"href","../tasks/language_modeling"),c(ue,"id","transformers.Speech2Text2Config"),c(ue,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ue,"href","#transformers.Speech2Text2Config"),c(re,"class","relative group"),c(Wt,"href","/docs/transformers/main/en/model_doc/speech_to_text_2#transformers.Speech2Text2ForCausalLM"),c(Ye,"href","https://huggingface.co/facebook/s2t-wav2vec2-large-en-de"),c(Ye,"rel","nofollow"),c(Vt,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),c(Nt,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),c(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(_e,"id","transformers.Speech2Text2Tokenizer"),c(_e,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(_e,"href","#transformers.Speech2Text2Tokenizer"),c(ne,"class","relative group"),c(Ot,"href","/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer"),c(ve,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Bt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Te,"id","transformers.Speech2Text2Processor"),c(Te,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Te,"href","#transformers.Speech2Text2Processor"),c(ie,"class","relative group"),c(Ut,"href","/docs/transformers/main/en/model_doc/speech_to_text_2#transformers.Speech2Text2Processor"),c(Rt,"href","/docs/transformers/main/en/model_doc/auto#transformers.AutoFeatureExtractor"),c(Ht,"href","/docs/transformers/main/en/model_doc/speech_to_text_2#transformers.Speech2Text2Tokenizer"),c(st,"href","/docs/transformers/main/en/model_doc/speech_to_text_2#transformers.Speech2Text2Processor.__call__"),c(Jt,"href","/docs/transformers/main/en/model_doc/speech_to_text_2#transformers.Speech2Text2Processor.decode"),c(it,"href","/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__"),c(xe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Gt,"href","/docs/transformers/main/en/main_classes/processors#transformers.ProcessorMixin.from_pretrained"),c(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Yt,"href","/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.batch_decode"),c(we,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Kt,"href","/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.decode"),c(Se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c($e,"id","transformers.Speech2Text2ForCausalLM"),c($e,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c($e,"href","#transformers.Speech2Text2ForCausalLM"),c(ce,"class","relative group"),c(Qt,"href","/docs/transformers/main/en/model_doc/encoder-decoder#transformers.EncoderDecoderModel"),c(Xt,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),c(vt,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(vt,"rel","nofollow"),c(ye,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,p){e(document.head,f),h(t,y,p),h(t,u,p),e(u,g),e(g,S),T(m,S,null),e(u,w),e(u,I),e(I,F),h(t,z,p),h(t,C,p),e(C,P),e(P,q),T(G,q,null),e(C,kt),e(C,le),e(le,Ir),h(t,No,p),h(t,Y,p),e(Y,Wr),e(Y,bt),e(bt,Vr),e(Y,Nr),e(Y,Me),e(Me,Or),e(Y,Br),h(t,Oo,p),h(t,E,p),e(E,Ur),e(E,io),e(io,Rr),e(E,Hr),e(E,co),e(co,Jr),e(E,Gr),e(E,wt),e(wt,Yr),e(E,Kr),e(E,St),e(St,Qr),e(E,Xr),e(E,$t),e($t,Zr),e(E,ea),e(E,lo),e(lo,ta),e(E,oa),h(t,Bo,p),h(t,de,p),e(de,ra),e(de,Ae),e(Ae,aa),e(de,sa),h(t,Uo,p),h(t,pe,p),e(pe,na),e(pe,Fe),e(Fe,ia),e(pe,ca),h(t,Ro,p),h(t,yt,p),e(yt,la),h(t,Ho,p),h(t,K,p),e(K,Le),e(Le,da),e(Le,De),e(De,pa),e(Le,ha),e(K,ma),e(K,Ie),e(Ie,fa),e(Ie,Et),e(Et,ua),e(Ie,ga),e(K,_a),e(K,We),e(We,va),e(We,Ve),e(Ve,Ta),e(We,xa),h(t,Jo,p),h(t,te,p),e(te,he),e(he,po),T(Ne,po,null),e(te,ka),e(te,ho),e(ho,ba),h(t,Go,p),h(t,Q,p),e(Q,wa),e(Q,zt),e(zt,Sa),e(Q,$a),e(Q,Pt),e(Pt,ya),e(Q,Ea),h(t,Yo,p),h(t,M,p),e(M,za),e(M,jt),e(jt,Pa),e(M,ja),e(M,Ct),e(Ct,Ca),e(M,qa),e(M,qt),e(qt,Ma),e(M,Aa),e(M,Mt),e(Mt,Fa),e(M,La),e(M,At),e(At,Da),e(M,Ia),h(t,Ko,p),h(t,Ft,p),e(Ft,mo),e(mo,Wa),h(t,Qo,p),T(Oe,t,p),h(t,Xo,p),h(t,Lt,p),e(Lt,Be),e(Be,fo),e(fo,Va),e(Be,Na),e(Be,uo),e(uo,Oa),h(t,Zo,p),T(Ue,t,p),h(t,er,p),h(t,me,p),e(me,Ba),e(me,Re),e(Re,Ua),e(me,Ra),h(t,tr,p),h(t,oe,p),e(oe,fe),e(fe,go),T(He,go,null),e(oe,Ha),e(oe,_o),e(_o,Ja),h(t,or,p),h(t,Dt,p),e(Dt,vo),e(vo,It),e(It,Ga),h(t,rr,p),h(t,re,p),e(re,ue),e(ue,To),T(Je,To,null),e(re,Ya),e(re,xo),e(xo,Ka),h(t,ar,p),h(t,W,p),T(Ge,W,null),e(W,Qa),e(W,ae),e(ae,Xa),e(ae,Wt),e(Wt,Za),e(ae,es),e(ae,Ye),e(Ye,ts),e(ae,os),e(W,rs),e(W,se),e(se,as),e(se,Vt),e(Vt,ss),e(se,ns),e(se,Nt),e(Nt,is),e(se,cs),e(W,ls),T(ge,W,null),h(t,sr,p),h(t,ne,p),e(ne,_e),e(_e,ko),T(Ke,ko,null),e(ne,ds),e(ne,bo),e(bo,ps),h(t,nr,p),h(t,j,p),T(Qe,j,null),e(j,hs),e(j,wo),e(wo,ms),e(j,fs),e(j,Xe),e(Xe,us),e(Xe,Ot),e(Ot,gs),e(Xe,_s),e(j,vs),e(j,ve),T(Ze,ve,null),e(ve,Ts),e(ve,So),e(So,xs),e(j,ks),e(j,X),T(et,X,null),e(X,bs),e(X,$o),e($o,ws),e(X,Ss),e(X,tt),e(tt,$s),e(tt,yo),e(yo,ys),e(tt,Es),e(j,zs),e(j,Bt),T(ot,Bt,null),h(t,ir,p),h(t,ie,p),e(ie,Te),e(Te,Eo),T(rt,Eo,null),e(ie,Ps),e(ie,zo),e(zo,js),h(t,cr,p),h(t,$,p),T(at,$,null),e($,Cs),e($,Po),e(Po,qs),e($,Ms),e($,L),e(L,Ut),e(Ut,As),e(L,Fs),e(L,Rt),e(Rt,Ls),e(L,Ds),e(L,Ht),e(Ht,Is),e(L,Ws),e(L,st),e(st,jo),e(jo,Vs),e(st,Ns),e(L,Os),e(L,Jt),e(Jt,Bs),e(L,Us),e($,Rs),e($,xe),T(nt,xe,null),e(xe,Hs),e(xe,U),e(U,Js),e(U,Co),e(Co,Gs),e(U,Ys),e(U,qo),e(qo,Ks),e(U,Qs),e(U,it),e(it,Mo),e(Mo,Xs),e(it,Zs),e(U,en),e($,tn),e($,Z),T(ct,Z,null),e(Z,on),e(Z,Ao),e(Ao,rn),e(Z,an),T(ke,Z,null),e($,sn),e($,ee),T(lt,ee,null),e(ee,nn),e(ee,dt),e(dt,cn),e(dt,Gt),e(Gt,ln),e(dt,dn),e(ee,pn),T(be,ee,null),e($,hn),e($,we),T(pt,we,null),e(we,mn),e(we,ht),e(ht,fn),e(ht,Yt),e(Yt,un),e(ht,gn),e($,_n),e($,Se),T(mt,Se,null),e(Se,vn),e(Se,ft),e(ft,Tn),e(ft,Kt),e(Kt,xn),e(ft,kn),h(t,lr,p),h(t,ce,p),e(ce,$e),e($e,Fo),T(ut,Fo,null),e(ce,bn),e(ce,Lo),e(Lo,wn),h(t,dr,p),h(t,V,p),T(gt,V,null),e(V,Sn),e(V,R),e(R,$n),e(R,Qt),e(Qt,yn),e(R,En),e(R,Do),e(Do,zn),e(R,Pn),e(R,Xt),e(Xt,jn),e(R,Cn),e(V,qn),e(V,_t),e(_t,Mn),e(_t,vt),e(vt,An),e(_t,Fn),e(V,Ln),e(V,ye),T(Tt,ye,null),e(ye,Dn),T(Ee,ye,null),pr=!0},p(t,[p]){const xt={};p&2&&(xt.$$scope={dirty:p,ctx:t}),ge.$set(xt);const Io={};p&2&&(Io.$$scope={dirty:p,ctx:t}),ke.$set(Io);const Wo={};p&2&&(Wo.$$scope={dirty:p,ctx:t}),be.$set(Wo);const Vo={};p&2&&(Vo.$$scope={dirty:p,ctx:t}),Ee.$set(Vo)},i(t){pr||(x(m.$$.fragment,t),x(G.$$.fragment,t),x(Ne.$$.fragment,t),x(Oe.$$.fragment,t),x(Ue.$$.fragment,t),x(He.$$.fragment,t),x(Je.$$.fragment,t),x(Ge.$$.fragment,t),x(ge.$$.fragment,t),x(Ke.$$.fragment,t),x(Qe.$$.fragment,t),x(Ze.$$.fragment,t),x(et.$$.fragment,t),x(ot.$$.fragment,t),x(rt.$$.fragment,t),x(at.$$.fragment,t),x(nt.$$.fragment,t),x(ct.$$.fragment,t),x(ke.$$.fragment,t),x(lt.$$.fragment,t),x(be.$$.fragment,t),x(pt.$$.fragment,t),x(mt.$$.fragment,t),x(ut.$$.fragment,t),x(gt.$$.fragment,t),x(Tt.$$.fragment,t),x(Ee.$$.fragment,t),pr=!0)},o(t){k(m.$$.fragment,t),k(G.$$.fragment,t),k(Ne.$$.fragment,t),k(Oe.$$.fragment,t),k(Ue.$$.fragment,t),k(He.$$.fragment,t),k(Je.$$.fragment,t),k(Ge.$$.fragment,t),k(ge.$$.fragment,t),k(Ke.$$.fragment,t),k(Qe.$$.fragment,t),k(Ze.$$.fragment,t),k(et.$$.fragment,t),k(ot.$$.fragment,t),k(rt.$$.fragment,t),k(at.$$.fragment,t),k(nt.$$.fragment,t),k(ct.$$.fragment,t),k(ke.$$.fragment,t),k(lt.$$.fragment,t),k(be.$$.fragment,t),k(pt.$$.fragment,t),k(mt.$$.fragment,t),k(ut.$$.fragment,t),k(gt.$$.fragment,t),k(Tt.$$.fragment,t),k(Ee.$$.fragment,t),pr=!1},d(t){o(f),t&&o(y),t&&o(u),b(m),t&&o(z),t&&o(C),b(G),t&&o(No),t&&o(Y),t&&o(Oo),t&&o(E),t&&o(Bo),t&&o(de),t&&o(Uo),t&&o(pe),t&&o(Ro),t&&o(yt),t&&o(Ho),t&&o(K),t&&o(Jo),t&&o(te),b(Ne),t&&o(Go),t&&o(Q),t&&o(Yo),t&&o(M),t&&o(Ko),t&&o(Ft),t&&o(Qo),b(Oe,t),t&&o(Xo),t&&o(Lt),t&&o(Zo),b(Ue,t),t&&o(er),t&&o(me),t&&o(tr),t&&o(oe),b(He),t&&o(or),t&&o(Dt),t&&o(rr),t&&o(re),b(Je),t&&o(ar),t&&o(W),b(Ge),b(ge),t&&o(sr),t&&o(ne),b(Ke),t&&o(nr),t&&o(j),b(Qe),b(Ze),b(et),b(ot),t&&o(ir),t&&o(ie),b(rt),t&&o(cr),t&&o($),b(at),b(nt),b(ct),b(ke),b(lt),b(be),b(pt),b(mt),t&&o(lr),t&&o(ce),b(ut),t&&o(dr),t&&o(V),b(gt),b(Tt),b(Ee)}}}const wc={local:"speech2text2",sections:[{local:"overview",title:"Overview"},{local:"inference",title:"Inference"},{local:"documentation-resources",title:"Documentation resources"},{local:"transformers.Speech2Text2Config",title:"Speech2Text2Config"},{local:"transformers.Speech2Text2Tokenizer",title:"Speech2TextTokenizer"},{local:"transformers.Speech2Text2Processor",title:"Speech2Text2Processor"},{local:"transformers.Speech2Text2ForCausalLM",title:"Speech2Text2ForCausalLM"}],title:"Speech2Text2"};function Sc(J){return _c(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Cc extends mc{constructor(f){super();fc(this,f,Sc,bc,uc,{})}}export{Cc as default,wc as metadata};
