import{S as cd,i as dd,s as ld,e as n,k as l,w as v,t as s,M as ud,c as r,d as o,m as u,a,x as P,h as i,b as d,G as e,g as f,y as b,q as w,o as y,B as T,v as hd,L as Mo}from"../../chunks/vendor-hf-doc-builder.js";import{T as Ii}from"../../chunks/Tip-hf-doc-builder.js";import{D as M}from"../../chunks/Docstring-hf-doc-builder.js";import{C as Io}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as H}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Eo}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function pd(k){let h,S,_,m,x;return m=new Io({props:{code:`from transformers import Pix2StructConfig, Pix2StructForConditionalGeneration

# Initializing a Pix2StructConfig with google/pix2struct-base style configuration
configuration = Pix2StructConfig()

# Initializing a Pix2StructForConditionalGeneration (with random weights) from the google/pix2struct-base style configuration
model = Pix2StructForConditionalGeneration(configuration)

# Accessing the model configuration
configuration = model.config

# We can also initialize a Pix2StructConfig from a Pix2StructTextConfig and a Pix2StructVisionConfig

# Initializing a Pix2Struct text and Pix2Struct vision configuration
config_text = Pix2StructTextConfig()
config_vision = Pix2StructVisionConfig()

config = Pix2StructConfig.from_text_vision_configs(config_text, config_vision)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Pix2StructConfig, Pix2StructForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a Pix2StructConfig with google/pix2struct-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = Pix2StructConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a Pix2StructForConditionalGeneration (with random weights) from the google/pix2struct-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Pix2StructForConditionalGeneration(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># We can also initialize a Pix2StructConfig from a Pix2StructTextConfig and a Pix2StructVisionConfig</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a Pix2Struct text and Pix2Struct vision configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>config_text = Pix2StructTextConfig()
<span class="hljs-meta">&gt;&gt;&gt; </span>config_vision = Pix2StructVisionConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span>config = Pix2StructConfig.from_text_vision_configs(config_text, config_vision)`}}),{c(){h=n("p"),S=s("Example:"),_=l(),v(m.$$.fragment)},l(c){h=r(c,"P",{});var g=a(h);S=i(g,"Example:"),g.forEach(o),_=u(c),P(m.$$.fragment,c)},m(c,g){f(c,h,g),e(h,S),f(c,_,g),b(m,c,g),x=!0},p:Mo,i(c){x||(w(m.$$.fragment,c),x=!0)},o(c){y(m.$$.fragment,c),x=!1},d(c){c&&o(h),c&&o(_),T(m,c)}}}function md(k){let h,S,_,m,x;return m=new Io({props:{code:`from transformers import Pix2StructTextConfig, Pix2StructTextModel

# Initializing a Pix2StructTextConfig with google/pix2struct-base style configuration
configuration = Pix2StructTextConfig()

# Initializing a Pix2StructTextModel (with random weights) from the google/pix2struct-base style configuration
model = Pix2StructTextModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Pix2StructTextConfig, Pix2StructTextModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a Pix2StructTextConfig with google/pix2struct-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = Pix2StructTextConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a Pix2StructTextModel (with random weights) from the google/pix2struct-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Pix2StructTextModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){h=n("p"),S=s("Example:"),_=l(),v(m.$$.fragment)},l(c){h=r(c,"P",{});var g=a(h);S=i(g,"Example:"),g.forEach(o),_=u(c),P(m.$$.fragment,c)},m(c,g){f(c,h,g),e(h,S),f(c,_,g),b(m,c,g),x=!0},p:Mo,i(c){x||(w(m.$$.fragment,c),x=!0)},o(c){y(m.$$.fragment,c),x=!1},d(c){c&&o(h),c&&o(_),T(m,c)}}}function fd(k){let h,S,_,m,x;return m=new Io({props:{code:`from transformers import Pix2StructVisionConfig, Pix2StructVisionModel

# Initializing a Pix2StructVisionConfig with google/pix2struct-base style configuration
configuration = Pix2StructVisionConfig()

# Initializing a Pix2StructVisionModel (with random weights) from the google/pix2struct-base style configuration
model = Pix2StructVisionModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Pix2StructVisionConfig, Pix2StructVisionModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a Pix2StructVisionConfig with google/pix2struct-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = Pix2StructVisionConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a Pix2StructVisionModel (with random weights) from the google/pix2struct-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Pix2StructVisionModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){h=n("p"),S=s("Example:"),_=l(),v(m.$$.fragment)},l(c){h=r(c,"P",{});var g=a(h);S=i(g,"Example:"),g.forEach(o),_=u(c),P(m.$$.fragment,c)},m(c,g){f(c,h,g),e(h,S),f(c,_,g),b(m,c,g),x=!0},p:Mo,i(c){x||(w(m.$$.fragment,c),x=!0)},o(c){y(m.$$.fragment,c),x=!1},d(c){c&&o(h),c&&o(_),T(m,c)}}}function gd(k){let h,S,_,m,x;return{c(){h=n("p"),S=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=n("code"),m=s("Module"),x=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(c){h=r(c,"P",{});var g=a(h);S=i(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r(g,"CODE",{});var I=a(_);m=i(I,"Module"),I.forEach(o),x=i(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(o)},m(c,g){f(c,h,g),e(h,S),e(h,_),e(_,m),e(h,x)},d(c){c&&o(h)}}}function _d(k){let h,S,_,m,x;return m=new Io({props:{code:`from transformers import AutoProcessor, Pix2StructTextModel

processor = AutoProcessor.from_pretrained("google/pix2struct-textcaps-base")
model = Pix2StructTextModel.from_pretrained("google/pix2struct-textcaps-base")

inputs = processor(text="Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)
loss = outputs.loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor, Pix2StructTextModel

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;google/pix2struct-textcaps-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Pix2StructTextModel.from_pretrained(<span class="hljs-string">&quot;google/pix2struct-textcaps-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(text=<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss`}}),{c(){h=n("p"),S=s("Example:"),_=l(),v(m.$$.fragment)},l(c){h=r(c,"P",{});var g=a(h);S=i(g,"Example:"),g.forEach(o),_=u(c),P(m.$$.fragment,c)},m(c,g){f(c,h,g),e(h,S),f(c,_,g),b(m,c,g),x=!0},p:Mo,i(c){x||(w(m.$$.fragment,c),x=!0)},o(c){y(m.$$.fragment,c),x=!1},d(c){c&&o(h),c&&o(_),T(m,c)}}}function xd(k){let h,S,_,m,x;return{c(){h=n("p"),S=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=n("code"),m=s("Module"),x=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(c){h=r(c,"P",{});var g=a(h);S=i(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r(g,"CODE",{});var I=a(_);m=i(I,"Module"),I.forEach(o),x=i(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(o)},m(c,g){f(c,h,g),e(h,S),e(h,_),e(_,m),e(h,x)},d(c){c&&o(h)}}}function vd(k){let h,S,_,m,x;return m=new Io({props:{code:`import requests
from PIL import Image
from transformers import AutoProcessor, Pix2StructVisionModel

image_processor = AutoProcessor.from_pretrained("google/pix2struct-textcaps-base")
model = Pix2StructVisionModel.from_pretrained("google/pix2struct-textcaps-base")

url = "https://www.ilankelman.org/stopsigns/australia.jpg"
image = Image.open(requests.get(url, stream=True).raw)

inputs = image_processor(images=image, return_tensors="pt")
with torch.no_grad():
    outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state
list(last_hidden_states.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor, Pix2StructVisionModel

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;google/pix2struct-textcaps-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Pix2StructVisionModel.from_pretrained(<span class="hljs-string">&quot;google/pix2struct-textcaps-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;https://www.ilankelman.org/stopsigns/australia.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_states.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">2048</span>, <span class="hljs-number">768</span>]`}}),{c(){h=n("p"),S=s("Example:"),_=l(),v(m.$$.fragment)},l(c){h=r(c,"P",{});var g=a(h);S=i(g,"Example:"),g.forEach(o),_=u(c),P(m.$$.fragment,c)},m(c,g){f(c,h,g),e(h,S),f(c,_,g),b(m,c,g),x=!0},p:Mo,i(c){x||(w(m.$$.fragment,c),x=!0)},o(c){y(m.$$.fragment,c),x=!1},d(c){c&&o(h),c&&o(_),T(m,c)}}}function Pd(k){let h,S,_,m,x;return{c(){h=n("p"),S=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=n("code"),m=s("Module"),x=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(c){h=r(c,"P",{});var g=a(h);S=i(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r(g,"CODE",{});var I=a(_);m=i(I,"Module"),I.forEach(o),x=i(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(o)},m(c,g){f(c,h,g),e(h,S),e(h,_),e(_,m),e(h,x)},d(c){c&&o(h)}}}function bd(k){let h,S,_,m,x;return m=new Io({props:{code:`from PIL import Image
import requests
from transformers import AutoProcessor, Pix2StructForConditionalGeneration

processor = AutoProcessor.from_pretrained("google/pix2struct-textcaps-base")
model = Pix2StructForConditionalGeneration.from_pretrained("google/pix2struct-textcaps-base")

labels = "A stop sign is on the street corner."
url = "https://www.ilankelman.org/stopsigns/australia.jpg"
image = Image.open(requests.get(url, stream=True).raw)

inputs = processor(images=image, text=labels, return_tensors="pt", add_special_tokens=True)

# forward pass
outputs = model(**inputs)
last_hidden_states = outputs.loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor, Pix2StructForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;google/pix2struct-textcaps-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Pix2StructForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;google/pix2struct-textcaps-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = <span class="hljs-string">&quot;A stop sign is on the street corner.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;https://www.ilankelman.org/stopsigns/australia.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(images=image, text=labels, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>, add_special_tokens=<span class="hljs-literal">True</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># forward pass</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.loss`}}),{c(){h=n("p"),S=s("Example:"),_=l(),v(m.$$.fragment)},l(c){h=r(c,"P",{});var g=a(h);S=i(g,"Example:"),g.forEach(o),_=u(c),P(m.$$.fragment,c)},m(c,g){f(c,h,g),e(h,S),f(c,_,g),b(m,c,g),x=!0},p:Mo,i(c){x||(w(m.$$.fragment,c),x=!0)},o(c){y(m.$$.fragment,c),x=!1},d(c){c&&o(h),c&&o(_),T(m,c)}}}function wd(k){let h,S,_,m,x,c,g,I,gr,bn,Y,ge,qo,He,_r,Fo,xr,wn,_e,vr,Re,Pr,br,yn,Ht,wr,Tn,Rt,jo,yr,Sn,Bt,Tr,kn,Kt,Sr,$n,R,kr,Be,$r,Cr,Ke,zr,Er,Cn,Z,xe,Ao,Je,Mr,Vo,Ir,zn,B,No,Qe,qr,Fr,Lo,Xe,jr,Ar,Do,Ye,Vr,En,ee,ve,Oo,Ze,Nr,Go,Lr,Mn,z,et,Dr,K,Jt,Or,Gr,Qt,Ur,Wr,tt,Hr,Rr,Br,te,Kr,Xt,Jr,Qr,Yt,Xr,Yr,Zr,Pe,ea,be,ot,ta,nt,oa,Zt,na,ra,In,oe,we,Uo,rt,aa,Wo,sa,qn,F,at,ia,ne,ca,eo,da,la,st,ua,ha,pa,re,ma,to,fa,ga,oo,_a,xa,va,ye,Fn,ae,Te,Ho,it,Pa,Ro,ba,jn,j,ct,wa,se,ya,no,Ta,Sa,dt,ka,$a,Ca,ie,za,ro,Ea,Ma,ao,Ia,qa,Fa,Se,An,ce,ke,Bo,lt,ja,Ko,Aa,Vn,E,ut,Va,Jo,Na,La,q,so,Da,Oa,io,Ga,Ua,co,Wa,Ha,Qo,Ra,Ba,lo,Ka,Ja,Qa,$e,ht,Xa,pt,Ya,uo,Za,es,ts,Ce,mt,os,ft,ns,ho,rs,as,Nn,de,ze,Xo,gt,ss,Yo,is,Ln,G,_t,cs,Zo,ds,ls,Ee,xt,us,A,hs,en,ps,ms,tn,fs,gs,on,_s,xs,vt,vs,Ps,Dn,le,Me,nn,Pt,bs,rn,ws,On,$,bt,ys,an,Ts,Ss,wt,ks,yt,$s,Cs,zs,Tt,Es,po,Ms,Is,qs,St,Fs,kt,js,As,Vs,V,$t,Ns,ue,Ls,mo,Ds,Os,sn,Gs,Us,Ws,Ie,Hs,qe,Gn,he,Fe,cn,Ct,Rs,dn,Bs,Un,U,zt,Ks,Et,Js,Mt,Qs,Xs,Ys,N,It,Zs,pe,ei,fo,ti,oi,ln,ni,ri,ai,je,si,Ae,Wn,me,Ve,un,qt,ii,hn,ci,Hn,C,Ft,di,pn,li,ui,jt,hi,At,pi,mi,fi,Vt,gi,go,_i,xi,vi,Nt,Pi,Lt,bi,wi,yi,L,Dt,Ti,fe,Si,_o,ki,$i,mn,Ci,zi,Ei,Ne,Mi,Le,Rn;return c=new H({}),He=new H({}),Je=new H({}),Ze=new H({}),et=new M({props:{name:"class transformers.Pix2StructConfig",anchor:"transformers.Pix2StructConfig",parameters:[{name:"text_config",val:" = None"},{name:"vision_config",val:" = None"},{name:"initializer_factor",val:" = 1.0"},{name:"initializer_range",val:" = 0.02"},{name:"is_vqa",val:" = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Pix2StructConfig.text_config",description:`<strong>text_config</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Dictionary of configuration options used to initialize <a href="/docs/transformers/main/en/model_doc/pix2struct#transformers.Pix2StructTextConfig">Pix2StructTextConfig</a>.`,name:"text_config"},{anchor:"transformers.Pix2StructConfig.vision_config",description:`<strong>vision_config</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Dictionary of configuration options used to initialize <a href="/docs/transformers/main/en/model_doc/pix2struct#transformers.Pix2StructVisionConfig">Pix2StructVisionConfig</a>.`,name:"vision_config"},{anchor:"transformers.Pix2StructConfig.initializer_factor",description:`<strong>initializer_factor</strong> (<code>float</code>, <em>optional</em>, defaults to 1.0) &#x2014;
Factor to multiply the initialization range with.`,name:"initializer_factor"},{anchor:"transformers.Pix2StructConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.Pix2StructConfig.is_vqa",description:`<strong>is_vqa</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether the model has been fine-tuned for VQA or not.`,name:"is_vqa"},{anchor:"transformers.Pix2StructConfig.kwargs",description:`<strong>kwargs</strong> (<em>optional</em>) &#x2014;
Dictionary of keyword arguments.`,name:"kwargs"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pix2struct/configuration_pix2struct.py#L302"}}),Pe=new Eo({props:{anchor:"transformers.Pix2StructConfig.example",$$slots:{default:[pd]},$$scope:{ctx:k}}}),ot=new M({props:{name:"from_text_vision_configs",anchor:"transformers.Pix2StructConfig.from_text_vision_configs",parameters:[{name:"text_config",val:": Pix2StructTextConfig"},{name:"vision_config",val:": Pix2StructVisionConfig"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pix2struct/configuration_pix2struct.py#L387",returnDescription:`
<p>An instance of a configuration object</p>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/model_doc/pix2struct#transformers.Pix2StructConfig"
>Pix2StructConfig</a></p>
`}}),rt=new H({}),at=new M({props:{name:"class transformers.Pix2StructTextConfig",anchor:"transformers.Pix2StructTextConfig",parameters:[{name:"vocab_size",val:" = 50244"},{name:"hidden_size",val:" = 768"},{name:"d_kv",val:" = 64"},{name:"d_ff",val:" = 2048"},{name:"num_layers",val:" = 12"},{name:"num_heads",val:" = 12"},{name:"relative_attention_num_buckets",val:" = 32"},{name:"relative_attention_max_distance",val:" = 128"},{name:"dropout_rate",val:" = 0.1"},{name:"layer_norm_epsilon",val:" = 1e-06"},{name:"initializer_factor",val:" = 1.0"},{name:"dense_act_fn",val:" = 'gelu_new'"},{name:"decoder_start_token_id",val:" = 0"},{name:"use_cache",val:" = False"},{name:"pad_token_id",val:" = 0"},{name:"eos_token_id",val:" = 1"},{name:"tie_word_embeddings",val:" = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Pix2StructTextConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 50244) &#x2014;
Vocabulary size of the <code>Pix2Struct</code> text model. Defines the number of different tokens that can be
represented by the <code>inputs_ids</code> passed when calling <a href="/docs/transformers/main/en/model_doc/pix2struct#transformers.Pix2StructTextModel">Pix2StructTextModel</a>.`,name:"vocab_size"},{anchor:"transformers.Pix2StructTextConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.Pix2StructTextConfig.d_kv",description:`<strong>d_kv</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014;
Dimensionality of the key, query, value projections in each attention head.`,name:"d_kv"},{anchor:"transformers.Pix2StructTextConfig.d_ff",description:`<strong>d_ff</strong> (<code>int</code>, <em>optional</em>, defaults to 2048) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (i.e., feed-forward) layer in the Transformer encoder.`,name:"d_ff"},{anchor:"transformers.Pix2StructTextConfig.num_layers",description:`<strong>num_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_layers"},{anchor:"transformers.Pix2StructTextConfig.num_heads",description:`<strong>num_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_heads"},{anchor:"transformers.Pix2StructTextConfig.relative_attention_num_buckets",description:`<strong>relative_attention_num_buckets</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014;
The number of buckets to use for each attention layer.`,name:"relative_attention_num_buckets"},{anchor:"transformers.Pix2StructTextConfig.relative_attention_max_distance",description:`<strong>relative_attention_max_distance</strong> (<code>int</code>, <em>optional</em>, defaults to 128) &#x2014;
The maximum distance of the longer sequences for the bucket separation.`,name:"relative_attention_max_distance"},{anchor:"transformers.Pix2StructTextConfig.dropout_rate",description:`<strong>dropout_rate</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probabilitiy for all fully connected layers in the embeddings, encoder, and pooler.`,name:"dropout_rate"},{anchor:"transformers.Pix2StructTextConfig.layer_norm_epsilon",description:`<strong>layer_norm_epsilon</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-6) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_epsilon"},{anchor:"transformers.Pix2StructTextConfig.initializer_factor",description:`<strong>initializer_factor</strong> (<code>float</code>, <em>optional</em>, defaults to 1.0) &#x2014;
A factor for initializing all weight matrices (should be kept to 1, used internally for initialization
testing).`,name:"initializer_factor"},{anchor:"transformers.Pix2StructTextConfig.dense_act_fn",description:`<strong>dense_act_fn</strong> (<code>Union[Callable, str]</code>, <em>optional</em>, defaults to <code>&quot;gelu_new&quot;</code>) &#x2014;
The non-linear activation function (function or string).`,name:"dense_act_fn"},{anchor:"transformers.Pix2StructTextConfig.decoder_start_token_id",description:`<strong>decoder_start_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to 0) &#x2014;
The id of the <code>decoder_start_token_id</code> token.`,name:"decoder_start_token_id"},{anchor:"transformers.Pix2StructTextConfig.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models).`,name:"use_cache"},{anchor:"transformers.Pix2StructTextConfig.pad_token_id",description:`<strong>pad_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to 0) &#x2014;
The id of the <code>padding</code> token.`,name:"pad_token_id"},{anchor:"transformers.Pix2StructTextConfig.eos_token_id",description:`<strong>eos_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The id of the <code>end-of-sequence</code> token.`,name:"eos_token_id"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pix2struct/configuration_pix2struct.py#L34"}}),ye=new Eo({props:{anchor:"transformers.Pix2StructTextConfig.example",$$slots:{default:[md]},$$scope:{ctx:k}}}),it=new H({}),ct=new M({props:{name:"class transformers.Pix2StructVisionConfig",anchor:"transformers.Pix2StructVisionConfig",parameters:[{name:"hidden_size",val:" = 768"},{name:"patch_embed_hidden_size",val:" = 768"},{name:"d_ff",val:" = 2048"},{name:"d_kv",val:" = 64"},{name:"projection_dim",val:" = 768"},{name:"num_hidden_layers",val:" = 12"},{name:"num_attention_heads",val:" = 12"},{name:"num_channels",val:" = 3"},{name:"patch_size",val:" = 16"},{name:"dense_act_fn",val:" = 'gelu_new'"},{name:"layer_norm_eps",val:" = 1e-06"},{name:"dropout_rate",val:" = 0.0"},{name:"attention_dropout",val:" = 0.0"},{name:"initializer_range",val:" = 1e-10"},{name:"initializer_factor",val:" = 1.0"},{name:"seq_len",val:" = 4096"},{name:"layer_norm_bias",val:" = False"},{name:"relative_attention_num_buckets",val:" = 32"},{name:"relative_attention_max_distance",val:" = 128"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Pix2StructVisionConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.Pix2StructVisionConfig.patch_embed_hidden_size",description:`<strong>patch_embed_hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the input patch_embedding layer in the Transformer encoder.`,name:"patch_embed_hidden_size"},{anchor:"transformers.Pix2StructVisionConfig.d_ff",description:`<strong>d_ff</strong> (<code>int</code>, <em>optional</em>, defaults to 2048) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (i.e., feed-forward) layer in the Transformer encoder.`,name:"d_ff"},{anchor:"transformers.Pix2StructVisionConfig.d_kv",description:`<strong>d_kv</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014;
Dimensionality of the key, query, value projections per attention head.`,name:"d_kv"},{anchor:"transformers.Pix2StructVisionConfig.projection_dim",description:`<strong>projection_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the projection layer in the Transformer encoder.`,name:"projection_dim"},{anchor:"transformers.Pix2StructVisionConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.Pix2StructVisionConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.Pix2StructVisionConfig.num_channels",description:`<strong>num_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
Number of channels of the input images.`,name:"num_channels"},{anchor:"transformers.Pix2StructVisionConfig.patch_size",description:`<strong>patch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
The size (resolution) of each patch.`,name:"patch_size"},{anchor:"transformers.Pix2StructVisionConfig.dense_act_fn",description:`<strong>dense_act_fn</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;gelu_new&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;selu&quot;</code> and <code>&quot;gelu_new&quot;</code> \`<code>&quot;gelu&quot;</code> are supported.`,name:"dense_act_fn"},{anchor:"transformers.Pix2StructVisionConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-6) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.Pix2StructVisionConfig.dropout_rate",description:`<strong>dropout_rate</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout probabilitiy for all fully connected layers in the embeddings, encoder, and pooler.`,name:"dropout_rate"},{anchor:"transformers.Pix2StructVisionConfig.attention_dropout",description:`<strong>attention_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_dropout"},{anchor:"transformers.Pix2StructVisionConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-10) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.Pix2StructVisionConfig.initializer_factor",description:`<strong>initializer_factor</strong> (\`float&#x201C;, <em>optional</em>, defaults to 1) &#x2014;
A factor for initializing all weight matrices (should be kept to 1, used internally for initialization
testing).`,name:"initializer_factor"},{anchor:"transformers.Pix2StructVisionConfig.seq_len",description:`<strong>seq_len</strong> (<code>int</code>, <em>optional</em>, defaults to 4096) &#x2014;
Maximum sequence length (here number of patches) supported by the model.`,name:"seq_len"},{anchor:"transformers.Pix2StructVisionConfig.layer_norm_bias",description:`<strong>layer_norm_bias</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to add a bias to the layer normalization layers.`,name:"layer_norm_bias"},{anchor:"transformers.Pix2StructVisionConfig.relative_attention_num_buckets",description:`<strong>relative_attention_num_buckets</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014;
The number of buckets to use for each attention layer.`,name:"relative_attention_num_buckets"},{anchor:"transformers.Pix2StructVisionConfig.relative_attention_max_distance",description:`<strong>relative_attention_max_distance</strong> (<code>int</code>, <em>optional</em>, defaults to 128) &#x2014;
The maximum distance (in tokens) to use for each attention layer.`,name:"relative_attention_max_distance"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pix2struct/configuration_pix2struct.py#L169"}}),Se=new Eo({props:{anchor:"transformers.Pix2StructVisionConfig.example",$$slots:{default:[fd]},$$scope:{ctx:k}}}),lt=new H({}),ut=new M({props:{name:"class transformers.Pix2StructProcessor",anchor:"transformers.Pix2StructProcessor",parameters:[{name:"image_processor",val:""},{name:"tokenizer",val:""}],parametersDescription:[{anchor:"transformers.Pix2StructProcessor.image_processor",description:`<strong>image_processor</strong> (<code>Pix2StructImageProcessor</code>) &#x2014;
An instance of <a href="/docs/transformers/main/en/model_doc/pix2struct#transformers.Pix2StructImageProcessor">Pix2StructImageProcessor</a>. The image processor is a required input.`,name:"image_processor"},{anchor:"transformers.Pix2StructProcessor.tokenizer",description:"<strong>tokenizer</strong> (Union[<code>T5TokenizerFast</code>, <code>T5Tokenizer</code>]) &#x2014;\nAn instance of [&#x2018;T5TokenizerFast`] or [&#x2018;T5Tokenizer`]. The tokenizer is a required input.",name:"tokenizer"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pix2struct/processing_pix2struct.py#L26"}}),ht=new M({props:{name:"batch_decode",anchor:"transformers.Pix2StructProcessor.batch_decode",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pix2struct/processing_pix2struct.py#L144"}}),mt=new M({props:{name:"decode",anchor:"transformers.Pix2StructProcessor.decode",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pix2struct/processing_pix2struct.py#L151"}}),gt=new H({}),_t=new M({props:{name:"class transformers.Pix2StructImageProcessor",anchor:"transformers.Pix2StructImageProcessor",parameters:[{name:"do_convert_rgb",val:": bool = True"},{name:"do_normalize",val:": bool = True"},{name:"patch_size",val:": typing.Dict[str, int] = None"},{name:"max_patches",val:": int = 2048"},{name:"is_vqa",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Pix2StructImageProcessor.do_convert_rgb",description:`<strong>do_convert_rgb</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to convert the image to RGB.`,name:"do_convert_rgb"},{anchor:"transformers.Pix2StructImageProcessor.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to normalize the image. Can be overridden by the <code>do_normalize</code> parameter in the <code>preprocess</code>
method. According to Pix2Struct paper and code, the image is normalized with its own mean and standard
deviation.`,name:"do_normalize"},{anchor:"transformers.Pix2StructImageProcessor.patch_size",description:`<strong>patch_size</strong> (<code>Dict[str, int]</code>, <em>optional</em>, defaults to <code>{&quot;height&quot; -- 16, &quot;width&quot;: 16}</code>):
The patch size to use for the image. According to Pix2Struct paper and code, the patch size is 16x16.`,name:"patch_size"},{anchor:"transformers.Pix2StructImageProcessor.max_patches",description:`<strong>max_patches</strong> (<code>int</code>, <em>optional</em>, defaults to 2048) &#x2014;
The maximum number of patches to extract from the image as per the <a href="https://arxiv.org/pdf/2210.03347.pdf" rel="nofollow">Pix2Struct
paper</a>.`,name:"max_patches"},{anchor:"transformers.Pix2StructImageProcessor.is_vqa",description:`<strong>is_vqa</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not the image processor is for the VQA task. If <code>True</code> and <code>header_text</code> is passed in, text is
rendered onto the input images.`,name:"is_vqa"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pix2struct/image_processing_pix2struct.py#L187"}}),xt=new M({props:{name:"preprocess",anchor:"transformers.Pix2StructImageProcessor.preprocess",parameters:[{name:"images",val:": typing.Union[ForwardRef('PIL.Image.Image'), numpy.ndarray, ForwardRef('torch.Tensor'), typing.List[ForwardRef('PIL.Image.Image')], typing.List[numpy.ndarray], typing.List[ForwardRef('torch.Tensor')]]"},{name:"header_text",val:": typing.Optional[str] = None"},{name:"do_convert_rgb",val:": bool = None"},{name:"do_normalize",val:": typing.Optional[bool] = None"},{name:"max_patches",val:": typing.Optional[int] = None"},{name:"patch_size",val:": typing.Union[typing.Dict[str, int], NoneType] = None"},{name:"return_tensors",val:": typing.Union[str, transformers.utils.generic.TensorType, NoneType] = None"},{name:"data_format",val:": ChannelDimension = <ChannelDimension.FIRST: 'channels_first'>"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Pix2StructImageProcessor.preprocess.images",description:`<strong>images</strong> (<code>ImageInput</code>) &#x2014;
Image to preprocess.`,name:"images"},{anchor:"transformers.Pix2StructImageProcessor.preprocess.header_text",description:`<strong>header_text</strong> (<code>Union[List[str], str]</code>, <em>optional</em>) &#x2014;
Text to render as a header. Only has an effect if <code>image_processor.is_vqa</code> is <code>True</code>.`,name:"header_text"},{anchor:"transformers.Pix2StructImageProcessor.preprocess.do_convert_rgb",description:`<strong>do_convert_rgb</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_convert_rgb</code>) &#x2014;
Whether to convert the image to RGB.`,name:"do_convert_rgb"},{anchor:"transformers.Pix2StructImageProcessor.preprocess.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_normalize</code>) &#x2014;
Whether to normalize the image.`,name:"do_normalize"},{anchor:"transformers.Pix2StructImageProcessor.preprocess.max_patches",description:`<strong>max_patches</strong> (<code>int</code>, <em>optional</em>, defaults to <code>self.max_patches</code>) &#x2014;
Maximum number of patches to extract.`,name:"max_patches"},{anchor:"transformers.Pix2StructImageProcessor.preprocess.patch_size",description:`<strong>patch_size</strong> (<code>dict</code>, <em>optional</em>, defaults to <code>self.patch_size</code>) &#x2014;
Dictionary containing the patch height and width.`,name:"patch_size"},{anchor:"transformers.Pix2StructImageProcessor.preprocess.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code> or <code>TensorType</code>, <em>optional</em>) &#x2014;
The type of tensors to return. Can be one of:<ul>
<li>Unset: Return a list of <code>np.ndarray</code>.</li>
<li><code>TensorType.TENSORFLOW</code> or <code>&apos;tf&apos;</code>: Return a batch of type <code>tf.Tensor</code>.</li>
<li><code>TensorType.PYTORCH</code> or <code>&apos;pt&apos;</code>: Return a batch of type <code>torch.Tensor</code>.</li>
<li><code>TensorType.NUMPY</code> or <code>&apos;np&apos;</code>: Return a batch of type <code>np.ndarray</code>.</li>
<li><code>TensorType.JAX</code> or <code>&apos;jax&apos;</code>: Return a batch of type <code>jax.numpy.ndarray</code>.</li>
</ul>`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pix2struct/image_processing_pix2struct.py#L323"}}),Pt=new H({}),bt=new M({props:{name:"class transformers.Pix2StructTextModel",anchor:"transformers.Pix2StructTextModel",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.Pix2StructTextModel.config",description:`<strong>config</strong> (Union[<code>Pix2StructConfig</code>, <code>Pix2StructTextConfig</code>]) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pix2struct/modeling_pix2struct.py#L1316"}}),$t=new M({props:{name:"forward",anchor:"transformers.Pix2StructTextModel.forward",parameters:[{name:"input_ids",val:" = None"},{name:"attention_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"inputs_embeds",val:" = None"},{name:"head_mask",val:" = None"},{name:"cross_attn_head_mask",val:" = None"},{name:"past_key_values",val:" = None"},{name:"use_cache",val:" = None"},{name:"output_attentions",val:" = None"},{name:"output_hidden_states",val:" = None"},{name:"labels",val:" = None"},{name:"return_dict",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Pix2StructTextModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Pix2StructText is a model with relative position
embeddings so you should be able to pad the inputs on both the right and the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for detail.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a></p>
<p>To know more on how to prepare <code>input_ids</code> for pretraining take a look a <a href="./t5#training">Pix2StructText
Training</a>.`,name:"input_ids"},{anchor:"transformers.Pix2StructTextModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.Pix2StructTextModel.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>Pix2StructText uses the <code>pad_token_id</code> as the starting token for <code>decoder_input_ids</code> generation. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).</p>
<p>To know more on how to prepare <code>decoder_input_ids</code> for pretraining take a look at <a href="./t5#training">Pix2StructText
Training</a>.`,name:"decoder_input_ids"},{anchor:"transformers.Pix2StructTextModel.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.BoolTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.Pix2StructTextModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.Pix2StructTextModel.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.Pix2StructTextModel.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules in the decoder. Mask values selected in
<code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.Pix2StructTextModel.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <code>optional</code>: <em>hidden_states</em>, <code>optional</code>: <em>attentions</em>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code> is a sequence of hidden states at
the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.Pix2StructTextModel.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden states of the attention layers. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.Pix2StructTextModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.Pix2StructTextModel.forward.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>decoder_input_ids</code> and <code>decoder_inputs_embeds</code> are both unset, <code>decoder_inputs_embeds</code> takes the value
of <code>inputs_embeds</code>.`,name:"decoder_inputs_embeds"},{anchor:"transformers.Pix2StructTextModel.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.Pix2StructTextModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.Pix2StructTextModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.Pix2StructTextModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pix2struct/modeling_pix2struct.py#L1378",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/pix2struct#transformers.Pix2StructConfig"
>Pix2StructConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Cross attentions weights after the attention softmax, used to compute the weighted average in the
cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> tuples of length <code>config.n_layers</code>, with each tuple containing the cached key,
value states of the self-attention and the cross-attention layers if model is used in encoder-decoder
setting. Only relevant if <code>config.is_decoder = True</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ie=new Ii({props:{$$slots:{default:[gd]},$$scope:{ctx:k}}}),qe=new Eo({props:{anchor:"transformers.Pix2StructTextModel.forward.example",$$slots:{default:[_d]},$$scope:{ctx:k}}}),Ct=new H({}),zt=new M({props:{name:"class transformers.Pix2StructVisionModel",anchor:"transformers.Pix2StructVisionModel",parameters:[{name:"config",val:": Pix2StructConfig"}],parametersDescription:[{anchor:"transformers.Pix2StructVisionModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/pix2struct#transformers.Pix2StructConfig">Pix2StructConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pix2struct/modeling_pix2struct.py#L547"}}),It=new M({props:{name:"forward",anchor:"transformers.Pix2StructVisionModel.forward",parameters:[{name:"flattened_patches",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.Pix2StructVisionModel.forward.flattened_patches",description:`<strong>flattened_patches</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, num_channels x patch_height x patch_width)</code>) &#x2014;
Flattened and padded pixel values. These values can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<code>Pix2StructVisionImageProcessor.__call__</code> for details. Check the <a href="https://arxiv.org/abs/2210.03347" rel="nofollow">original
paper</a> (figure 5) for more details.`,name:"flattened_patches"},{anchor:"transformers.Pix2StructVisionModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding pixel values. Mask values selected in <code>[0, 1]</code>:`,name:"attention_mask"},{anchor:"transformers.Pix2StructVisionModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.Pix2StructVisionModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.Pix2StructVisionModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.Pix2StructVisionModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pix2struct/modeling_pix2struct.py#L580",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPooling"
>transformers.modeling_outputs.BaseModelOutputWithPooling</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/pix2struct#transformers.Pix2StructConfig"
>Pix2StructConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) after further processing
through the layers used for the auxiliary pretraining task. E.g. for BERT-family of models, this returns
the classification token after processing through a linear layer and a tanh activation function. The linear
layer weights are trained from the next sentence prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPooling"
>transformers.modeling_outputs.BaseModelOutputWithPooling</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),je=new Ii({props:{$$slots:{default:[xd]},$$scope:{ctx:k}}}),Ae=new Eo({props:{anchor:"transformers.Pix2StructVisionModel.forward.example",$$slots:{default:[vd]},$$scope:{ctx:k}}}),qt=new H({}),Ft=new M({props:{name:"class transformers.Pix2StructForConditionalGeneration",anchor:"transformers.Pix2StructForConditionalGeneration",parameters:[{name:"config",val:": Pix2StructConfig"}],parametersDescription:[{anchor:"transformers.Pix2StructForConditionalGeneration.config",description:`<strong>config</strong> (Union[<code>Pix2StructConfig</code>, <code>Pix2StructTextConfig</code>]) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pix2struct/modeling_pix2struct.py#L1607"}}),Dt=new M({props:{name:"forward",anchor:"transformers.Pix2StructForConditionalGeneration.forward",parameters:[{name:"flattened_patches",val:": typing.Optional[torch.FloatTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.BoolTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.Pix2StructForConditionalGeneration.forward.flattened_patches",description:`<strong>flattened_patches</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, seq_length, hidden_size)</code>) &#x2014;
Flattened pixel patches. the <code>hidden_size</code> is obtained by the following formula: <code>hidden_size</code> =
<code>num_channels</code> <em> <code>patch_size</code> </em> <code>patch_size</code></p>
<p>The process of flattening the pixel patches is done by <code>Pix2StructProcessor</code>.`,name:"flattened_patches"},{anchor:"transformers.Pix2StructForConditionalGeneration.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.Pix2StructForConditionalGeneration.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>Pix2StructText uses the <code>pad_token_id</code> as the starting token for <code>decoder_input_ids</code> generation. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).</p>
<p>To know more on how to prepare <code>decoder_input_ids</code> for pretraining take a look at <a href="./t5#training">Pix2StructText
Training</a>.`,name:"decoder_input_ids"},{anchor:"transformers.Pix2StructForConditionalGeneration.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.BoolTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.Pix2StructForConditionalGeneration.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.Pix2StructForConditionalGeneration.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.Pix2StructForConditionalGeneration.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules in the decoder. Mask values selected in
<code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.Pix2StructForConditionalGeneration.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <code>optional</code>: <em>hidden_states</em>, <code>optional</code>: <em>attentions</em>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code> is a sequence of hidden states at
the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.Pix2StructForConditionalGeneration.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden states of the attention layers. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.Pix2StructForConditionalGeneration.forward.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>decoder_input_ids</code> and <code>decoder_inputs_embeds</code> are both unset, <code>decoder_inputs_embeds</code> takes the value
of <code>inputs_embeds</code>.`,name:"decoder_inputs_embeds"},{anchor:"transformers.Pix2StructForConditionalGeneration.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss for the decoder.`,name:"labels"},{anchor:"transformers.Pix2StructForConditionalGeneration.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.Pix2StructForConditionalGeneration.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.Pix2StructForConditionalGeneration.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.Pix2StructForConditionalGeneration.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pix2struct/modeling_pix2struct.py#L1660",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqModelOutput"
>transformers.modeling_outputs.Seq2SeqModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/pix2struct#transformers.Pix2StructConfig"
>Pix2StructConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the decoder of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqModelOutput"
>transformers.modeling_outputs.Seq2SeqModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ne=new Ii({props:{$$slots:{default:[Pd]},$$scope:{ctx:k}}}),Le=new Eo({props:{anchor:"transformers.Pix2StructForConditionalGeneration.forward.example",$$slots:{default:[bd]},$$scope:{ctx:k}}}),{c(){h=n("meta"),S=l(),_=n("h1"),m=n("a"),x=n("span"),v(c.$$.fragment),g=l(),I=n("span"),gr=s("Pix2Struct"),bn=l(),Y=n("h2"),ge=n("a"),qo=n("span"),v(He.$$.fragment),_r=l(),Fo=n("span"),xr=s("Overview"),wn=l(),_e=n("p"),vr=s("The Pix2Struct model was proposed in "),Re=n("a"),Pr=s("Pix2Struct: Screenshot Parsing as Pretraining for Visual Language Understanding"),br=s(" by Kenton Lee, Mandar Joshi, Iulia Turc, Hexiang Hu, Fangyu Liu, Julian Eisenschlos, Urvashi Khandelwal, Peter Shaw, Ming-Wei Chang, Kristina Toutanova."),yn=l(),Ht=n("p"),wr=s("The abstract from the paper is the following:"),Tn=l(),Rt=n("blockquote"),jo=n("p"),yr=s("Visually-situated language is ubiquitous \u2014 sources range from textbooks with diagrams to web pages with images and tables, to mobile apps with buttons and forms. Perhaps due to this diversity, previous work has typically relied on domain-specific recipes with limited sharing of the underlying data, model architectures, and objectives. We present Pix2Struct, a pretrained image-to-text model for purely visual language understanding, which can be finetuned on tasks containing visually-situated language. Pix2Struct is pretrained by learning to parse masked screenshots of web pages into simplified HTML. The web, with its richness of visual elements cleanly reflected in the HTML structure, provides a large source of pretraining data well suited to the diversity of downstream tasks. Intuitively, this objective subsumes common pretraining signals such as OCR, language modeling, image captioning. In addition to the novel pretraining strategy, we introduce a variable-resolution input representation and a more flexible integration of language and vision inputs, where language prompts such as questions are rendered directly on top of the input image. For the first time, we show that a single pretrained model can achieve state-of-the-art results in six out of nine tasks across four domains: documents, illustrations, user interfaces, and natural images."),Sn=l(),Bt=n("p"),Tr=s("Tips:"),kn=l(),Kt=n("p"),Sr=s(`Pix2Struct has been fine tuned on a variety of tasks and datasets, ranging from image captioning, visual question answering (VQA) over different inputs (books, charts, science diagrams), captioning UI components etc. The full list can be found in Table 1 of the paper.
We therefore advise you to use these models for the tasks they have been fine tuned on. For instance, if you want to use Pix2Struct for UI captioning, you should use the model fine tuned on the UI dataset. If you want to use Pix2Struct for image captioning, you should use the model fine tuned on the natural images captioning dataset and so on.`),$n=l(),R=n("p"),kr=s("This model was contributed by "),Be=n("a"),$r=s("ybelkada"),Cr=s(`.
The original code can be found `),Ke=n("a"),zr=s("here"),Er=s("."),Cn=l(),Z=n("h2"),xe=n("a"),Ao=n("span"),v(Je.$$.fragment),Mr=l(),Vo=n("span"),Ir=s("Resources:"),zn=l(),B=n("ul"),No=n("li"),Qe=n("a"),qr=s("Paper"),Fr=l(),Lo=n("li"),Xe=n("a"),jr=s("Fine-tuning Notebook"),Ar=l(),Do=n("li"),Ye=n("a"),Vr=s("All models"),En=l(),ee=n("h2"),ve=n("a"),Oo=n("span"),v(Ze.$$.fragment),Nr=l(),Go=n("span"),Lr=s("Pix2StructConfig"),Mn=l(),z=n("div"),v(et.$$.fragment),Dr=l(),K=n("p"),Jt=n("a"),Or=s("Pix2StructConfig"),Gr=s(` is the configuration class to store the configuration of a
`),Qt=n("a"),Ur=s("Pix2StructForConditionalGeneration"),Wr=s(`. It is used to instantiate a Pix2Struct model according to the specified
arguments, defining the text model and vision model configs. Instantiating a configuration with the defaults will
yield a similar configuration to that of the Pix2Struct-base
`),tt=n("a"),Hr=s("google/pix2struct-base"),Rr=s(" architecture."),Br=l(),te=n("p"),Kr=s("Configuration objects inherit from "),Xt=n("a"),Jr=s("PretrainedConfig"),Qr=s(` and can be used to control the model outputs. Read the
documentation from `),Yt=n("a"),Xr=s("PretrainedConfig"),Yr=s(" for more information."),Zr=l(),v(Pe.$$.fragment),ea=l(),be=n("div"),v(ot.$$.fragment),ta=l(),nt=n("p"),oa=s("Instantiate a "),Zt=n("a"),na=s("Pix2StructConfig"),ra=s(` (or a derived class) from pix2struct text model configuration and pix2struct
vision model configuration.`),In=l(),oe=n("h2"),we=n("a"),Uo=n("span"),v(rt.$$.fragment),aa=l(),Wo=n("span"),sa=s("Pix2StructTextConfig"),qn=l(),F=n("div"),v(at.$$.fragment),ia=l(),ne=n("p"),ca=s("This is the configuration class to store the configuration of a "),eo=n("a"),da=s("Pix2StructTextModel"),la=s(`. It is used to instantiate
a Pix2Struct text model according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the Pix2Struct text decoder used by
the `),st=n("a"),ua=s("google/pix2struct-base"),ha=s(" architecture."),pa=l(),re=n("p"),ma=s("Configuration objects inherit from "),to=n("a"),fa=s("PretrainedConfig"),ga=s(` and can be used to control the model outputs. Read the
documentation from `),oo=n("a"),_a=s("PretrainedConfig"),xa=s(" for more information."),va=l(),v(ye.$$.fragment),Fn=l(),ae=n("h2"),Te=n("a"),Ho=n("span"),v(it.$$.fragment),Pa=l(),Ro=n("span"),ba=s("Pix2StructVisionConfig"),jn=l(),j=n("div"),v(ct.$$.fragment),wa=l(),se=n("p"),ya=s("This is the configuration class to store the configuration of a "),no=n("a"),Ta=s("Pix2StructVisionModel"),Sa=s(`. It is used to
instantiate a Pix2Struct vision model according to the specified arguments, defining the model architecture.
Instantiating a configuration defaults will yield a similar configuration to that of the Pix2Struct-base
`),dt=n("a"),ka=s("google/pix2struct-base"),$a=s(" architecture."),Ca=l(),ie=n("p"),za=s("Configuration objects inherit from "),ro=n("a"),Ea=s("PretrainedConfig"),Ma=s(` and can be used to control the model outputs. Read the
documentation from `),ao=n("a"),Ia=s("PretrainedConfig"),qa=s(" for more information."),Fa=l(),v(Se.$$.fragment),An=l(),ce=n("h2"),ke=n("a"),Bo=n("span"),v(lt.$$.fragment),ja=l(),Ko=n("span"),Aa=s("Pix2StructProcessor"),Vn=l(),E=n("div"),v(ut.$$.fragment),Va=l(),Jo=n("p"),Na=s(`Constructs a PIX2STRUCT processor which wraps a BERT tokenizer and PIX2STRUCT image processor into a single
processor.`),La=l(),q=n("p"),so=n("a"),Da=s("Pix2StructProcessor"),Oa=s(" offers all the functionalities of "),io=n("a"),Ga=s("Pix2StructImageProcessor"),Ua=s(" and "),co=n("a"),Wa=s("T5TokenizerFast"),Ha=s(`. See
the docstring of `),Qo=n("code"),Ra=s("__call__()"),Ba=s(" and "),lo=n("a"),Ka=s("decode()"),Ja=s(" for more information."),Qa=l(),$e=n("div"),v(ht.$$.fragment),Xa=l(),pt=n("p"),Ya=s("This method forwards all its arguments to Pix2StructTokenizerFast\u2019s "),uo=n("a"),Za=s("batch_decode()"),es=s(`.
Please refer to the docstring of this method for more information.`),ts=l(),Ce=n("div"),v(mt.$$.fragment),os=l(),ft=n("p"),ns=s("This method forwards all its arguments to Pix2StructTokenizerFast\u2019s "),ho=n("a"),rs=s("decode()"),as=s(`. Please
refer to the docstring of this method for more information.`),Nn=l(),de=n("h2"),ze=n("a"),Xo=n("span"),v(gt.$$.fragment),ss=l(),Yo=n("span"),is=s("Pix2StructImageProcessor"),Ln=l(),G=n("div"),v(_t.$$.fragment),cs=l(),Zo=n("p"),ds=s("Constructs a Pix2Struct image processor."),ls=l(),Ee=n("div"),v(xt.$$.fragment),us=l(),A=n("p"),hs=s(`Preprocess an image or batch of images. The processor first computes the maximum possible number of
aspect-ratio preserving patches of size `),en=n("code"),ps=s("patch_size"),ms=s(` that can be extracted from the image. It then pads the
image with zeros to make the image respect the constraint of `),tn=n("code"),fs=s("max_patches"),gs=s(`. Before extracting the patches the
images are standardized following the tensorflow implementation of `),on=n("code"),_s=s("per_image_standardization"),xs=s(`
(`),vt=n("a"),vs=s("https://www.tensorflow.org/api_docs/python/tf/image/per_image_standardization"),Ps=s(")."),Dn=l(),le=n("h2"),Me=n("a"),nn=n("span"),v(Pt.$$.fragment),bs=l(),rn=n("span"),ws=s("Pix2StructTextModel"),On=l(),$=n("div"),v(bt.$$.fragment),ys=l(),an=n("p"),Ts=s("The standalone text decoder of Pix2Struct"),Ss=l(),wt=n("p"),ks=s("The Pix2Struct model was proposed in "),yt=n("a"),$s=s(`Pix2Struct: Screenshot Parsing as Pretraining for Visual Language
Understanding`),Cs=s(` by Kenton Lee, Mandar Joshi, Iulia Turc, Hexiang Hu, Fangyu Liu,
Julian Eisenschlos, Urvashi Khandelwal, Peter Shaw, Ming-Wei Chang, Kristina Toutanova. It\u2019s an encoder decoder
transformer pre-trained in a image-to-text setting.`),zs=l(),Tt=n("p"),Es=s("This model inherits from "),po=n("a"),Ms=s("PreTrainedModel"),Is=s(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),qs=l(),St=n("p"),Fs=s("This model is also a PyTorch "),kt=n("a"),js=s("torch.nn.Module"),As=s(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Vs=l(),V=n("div"),v($t.$$.fragment),Ns=l(),ue=n("p"),Ls=s("The "),mo=n("a"),Ds=s("Pix2StructTextModel"),Os=s(" forward method, overrides the "),sn=n("code"),Gs=s("__call__"),Us=s(" special method."),Ws=l(),v(Ie.$$.fragment),Hs=l(),v(qe.$$.fragment),Gn=l(),he=n("h2"),Fe=n("a"),cn=n("span"),v(Ct.$$.fragment),Rs=l(),dn=n("span"),Bs=s("Pix2StructVisionModel"),Un=l(),U=n("div"),v(zt.$$.fragment),Ks=l(),Et=n("p"),Js=s(`The bare Pix2StructVision Model transformer outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),Mt=n("a"),Qs=s("torch.nn.Module"),Xs=s(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Ys=l(),N=n("div"),v(It.$$.fragment),Zs=l(),pe=n("p"),ei=s("The "),fo=n("a"),ti=s("Pix2StructVisionModel"),oi=s(" forward method, overrides the "),ln=n("code"),ni=s("__call__"),ri=s(" special method."),ai=l(),v(je.$$.fragment),si=l(),v(Ae.$$.fragment),Wn=l(),me=n("h2"),Ve=n("a"),un=n("span"),v(qt.$$.fragment),ii=l(),hn=n("span"),ci=s("Pix2StructForConditionalGeneration"),Hn=l(),C=n("div"),v(Ft.$$.fragment),di=l(),pn=n("p"),li=s("A conditional generation model with a language modeling head. Can be used for sequence generation tasks."),ui=l(),jt=n("p"),hi=s("The Pix2Struct model was proposed in "),At=n("a"),pi=s(`Pix2Struct: Screenshot Parsing as Pretraining for Visual Language
Understanding`),mi=s(` by Kenton Lee, Mandar Joshi, Iulia Turc, Hexiang Hu, Fangyu Liu,
Julian Eisenschlos, Urvashi Khandelwal, Peter Shaw, Ming-Wei Chang, Kristina Toutanova. It\u2019s an encoder decoder
transformer pre-trained in a image-to-text setting.`),fi=l(),Vt=n("p"),gi=s("This model inherits from "),go=n("a"),_i=s("PreTrainedModel"),xi=s(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),vi=l(),Nt=n("p"),Pi=s("This model is also a PyTorch "),Lt=n("a"),bi=s("torch.nn.Module"),wi=s(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),yi=l(),L=n("div"),v(Dt.$$.fragment),Ti=l(),fe=n("p"),Si=s("The "),_o=n("a"),ki=s("Pix2StructForConditionalGeneration"),$i=s(" forward method, overrides the "),mn=n("code"),Ci=s("__call__"),zi=s(" special method."),Ei=l(),v(Ne.$$.fragment),Mi=l(),v(Le.$$.fragment),this.h()},l(t){const p=ud('[data-svelte="svelte-1phssyn"]',document.head);h=r(p,"META",{name:!0,content:!0}),p.forEach(o),S=u(t),_=r(t,"H1",{class:!0});var Ot=a(_);m=r(Ot,"A",{id:!0,class:!0,href:!0});var fn=a(m);x=r(fn,"SPAN",{});var gn=a(x);P(c.$$.fragment,gn),gn.forEach(o),fn.forEach(o),g=u(Ot),I=r(Ot,"SPAN",{});var _n=a(I);gr=i(_n,"Pix2Struct"),_n.forEach(o),Ot.forEach(o),bn=u(t),Y=r(t,"H2",{class:!0});var Gt=a(Y);ge=r(Gt,"A",{id:!0,class:!0,href:!0});var xn=a(ge);qo=r(xn,"SPAN",{});var vn=a(qo);P(He.$$.fragment,vn),vn.forEach(o),xn.forEach(o),_r=u(Gt),Fo=r(Gt,"SPAN",{});var Pn=a(Fo);xr=i(Pn,"Overview"),Pn.forEach(o),Gt.forEach(o),wn=u(t),_e=r(t,"P",{});var Ut=a(_e);vr=i(Ut,"The Pix2Struct model was proposed in "),Re=r(Ut,"A",{href:!0,rel:!0});var qi=a(Re);Pr=i(qi,"Pix2Struct: Screenshot Parsing as Pretraining for Visual Language Understanding"),qi.forEach(o),br=i(Ut," by Kenton Lee, Mandar Joshi, Iulia Turc, Hexiang Hu, Fangyu Liu, Julian Eisenschlos, Urvashi Khandelwal, Peter Shaw, Ming-Wei Chang, Kristina Toutanova."),Ut.forEach(o),yn=u(t),Ht=r(t,"P",{});var Fi=a(Ht);wr=i(Fi,"The abstract from the paper is the following:"),Fi.forEach(o),Tn=u(t),Rt=r(t,"BLOCKQUOTE",{});var ji=a(Rt);jo=r(ji,"P",{});var Ai=a(jo);yr=i(Ai,"Visually-situated language is ubiquitous \u2014 sources range from textbooks with diagrams to web pages with images and tables, to mobile apps with buttons and forms. Perhaps due to this diversity, previous work has typically relied on domain-specific recipes with limited sharing of the underlying data, model architectures, and objectives. We present Pix2Struct, a pretrained image-to-text model for purely visual language understanding, which can be finetuned on tasks containing visually-situated language. Pix2Struct is pretrained by learning to parse masked screenshots of web pages into simplified HTML. The web, with its richness of visual elements cleanly reflected in the HTML structure, provides a large source of pretraining data well suited to the diversity of downstream tasks. Intuitively, this objective subsumes common pretraining signals such as OCR, language modeling, image captioning. In addition to the novel pretraining strategy, we introduce a variable-resolution input representation and a more flexible integration of language and vision inputs, where language prompts such as questions are rendered directly on top of the input image. For the first time, we show that a single pretrained model can achieve state-of-the-art results in six out of nine tasks across four domains: documents, illustrations, user interfaces, and natural images."),Ai.forEach(o),ji.forEach(o),Sn=u(t),Bt=r(t,"P",{});var Vi=a(Bt);Tr=i(Vi,"Tips:"),Vi.forEach(o),kn=u(t),Kt=r(t,"P",{});var Ni=a(Kt);Sr=i(Ni,`Pix2Struct has been fine tuned on a variety of tasks and datasets, ranging from image captioning, visual question answering (VQA) over different inputs (books, charts, science diagrams), captioning UI components etc. The full list can be found in Table 1 of the paper.
We therefore advise you to use these models for the tasks they have been fine tuned on. For instance, if you want to use Pix2Struct for UI captioning, you should use the model fine tuned on the UI dataset. If you want to use Pix2Struct for image captioning, you should use the model fine tuned on the natural images captioning dataset and so on.`),Ni.forEach(o),$n=u(t),R=r(t,"P",{});var xo=a(R);kr=i(xo,"This model was contributed by "),Be=r(xo,"A",{href:!0,rel:!0});var Li=a(Be);$r=i(Li,"ybelkada"),Li.forEach(o),Cr=i(xo,`.
The original code can be found `),Ke=r(xo,"A",{href:!0,rel:!0});var Di=a(Ke);zr=i(Di,"here"),Di.forEach(o),Er=i(xo,"."),xo.forEach(o),Cn=u(t),Z=r(t,"H2",{class:!0});var Bn=a(Z);xe=r(Bn,"A",{id:!0,class:!0,href:!0});var Oi=a(xe);Ao=r(Oi,"SPAN",{});var Gi=a(Ao);P(Je.$$.fragment,Gi),Gi.forEach(o),Oi.forEach(o),Mr=u(Bn),Vo=r(Bn,"SPAN",{});var Ui=a(Vo);Ir=i(Ui,"Resources:"),Ui.forEach(o),Bn.forEach(o),zn=u(t),B=r(t,"UL",{});var vo=a(B);No=r(vo,"LI",{});var Wi=a(No);Qe=r(Wi,"A",{href:!0,rel:!0});var Hi=a(Qe);qr=i(Hi,"Paper"),Hi.forEach(o),Wi.forEach(o),Fr=u(vo),Lo=r(vo,"LI",{});var Ri=a(Lo);Xe=r(Ri,"A",{href:!0,rel:!0});var Bi=a(Xe);jr=i(Bi,"Fine-tuning Notebook"),Bi.forEach(o),Ri.forEach(o),Ar=u(vo),Do=r(vo,"LI",{});var Ki=a(Do);Ye=r(Ki,"A",{href:!0,rel:!0});var Ji=a(Ye);Vr=i(Ji,"All models"),Ji.forEach(o),Ki.forEach(o),vo.forEach(o),En=u(t),ee=r(t,"H2",{class:!0});var Kn=a(ee);ve=r(Kn,"A",{id:!0,class:!0,href:!0});var Qi=a(ve);Oo=r(Qi,"SPAN",{});var Xi=a(Oo);P(Ze.$$.fragment,Xi),Xi.forEach(o),Qi.forEach(o),Nr=u(Kn),Go=r(Kn,"SPAN",{});var Yi=a(Go);Lr=i(Yi,"Pix2StructConfig"),Yi.forEach(o),Kn.forEach(o),Mn=u(t),z=r(t,"DIV",{class:!0});var J=a(z);P(et.$$.fragment,J),Dr=u(J),K=r(J,"P",{});var Wt=a(K);Jt=r(Wt,"A",{href:!0});var Zi=a(Jt);Or=i(Zi,"Pix2StructConfig"),Zi.forEach(o),Gr=i(Wt,` is the configuration class to store the configuration of a
`),Qt=r(Wt,"A",{href:!0});var ec=a(Qt);Ur=i(ec,"Pix2StructForConditionalGeneration"),ec.forEach(o),Wr=i(Wt,`. It is used to instantiate a Pix2Struct model according to the specified
arguments, defining the text model and vision model configs. Instantiating a configuration with the defaults will
yield a similar configuration to that of the Pix2Struct-base
`),tt=r(Wt,"A",{href:!0,rel:!0});var tc=a(tt);Hr=i(tc,"google/pix2struct-base"),tc.forEach(o),Rr=i(Wt," architecture."),Wt.forEach(o),Br=u(J),te=r(J,"P",{});var Po=a(te);Kr=i(Po,"Configuration objects inherit from "),Xt=r(Po,"A",{href:!0});var oc=a(Xt);Jr=i(oc,"PretrainedConfig"),oc.forEach(o),Qr=i(Po,` and can be used to control the model outputs. Read the
documentation from `),Yt=r(Po,"A",{href:!0});var nc=a(Yt);Xr=i(nc,"PretrainedConfig"),nc.forEach(o),Yr=i(Po," for more information."),Po.forEach(o),Zr=u(J),P(Pe.$$.fragment,J),ea=u(J),be=r(J,"DIV",{class:!0});var Jn=a(be);P(ot.$$.fragment,Jn),ta=u(Jn),nt=r(Jn,"P",{});var Qn=a(nt);oa=i(Qn,"Instantiate a "),Zt=r(Qn,"A",{href:!0});var rc=a(Zt);na=i(rc,"Pix2StructConfig"),rc.forEach(o),ra=i(Qn,` (or a derived class) from pix2struct text model configuration and pix2struct
vision model configuration.`),Qn.forEach(o),Jn.forEach(o),J.forEach(o),In=u(t),oe=r(t,"H2",{class:!0});var Xn=a(oe);we=r(Xn,"A",{id:!0,class:!0,href:!0});var ac=a(we);Uo=r(ac,"SPAN",{});var sc=a(Uo);P(rt.$$.fragment,sc),sc.forEach(o),ac.forEach(o),aa=u(Xn),Wo=r(Xn,"SPAN",{});var ic=a(Wo);sa=i(ic,"Pix2StructTextConfig"),ic.forEach(o),Xn.forEach(o),qn=u(t),F=r(t,"DIV",{class:!0});var De=a(F);P(at.$$.fragment,De),ia=u(De),ne=r(De,"P",{});var bo=a(ne);ca=i(bo,"This is the configuration class to store the configuration of a "),eo=r(bo,"A",{href:!0});var cc=a(eo);da=i(cc,"Pix2StructTextModel"),cc.forEach(o),la=i(bo,`. It is used to instantiate
a Pix2Struct text model according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the Pix2Struct text decoder used by
the `),st=r(bo,"A",{href:!0,rel:!0});var dc=a(st);ua=i(dc,"google/pix2struct-base"),dc.forEach(o),ha=i(bo," architecture."),bo.forEach(o),pa=u(De),re=r(De,"P",{});var wo=a(re);ma=i(wo,"Configuration objects inherit from "),to=r(wo,"A",{href:!0});var lc=a(to);fa=i(lc,"PretrainedConfig"),lc.forEach(o),ga=i(wo,` and can be used to control the model outputs. Read the
documentation from `),oo=r(wo,"A",{href:!0});var uc=a(oo);_a=i(uc,"PretrainedConfig"),uc.forEach(o),xa=i(wo," for more information."),wo.forEach(o),va=u(De),P(ye.$$.fragment,De),De.forEach(o),Fn=u(t),ae=r(t,"H2",{class:!0});var Yn=a(ae);Te=r(Yn,"A",{id:!0,class:!0,href:!0});var hc=a(Te);Ho=r(hc,"SPAN",{});var pc=a(Ho);P(it.$$.fragment,pc),pc.forEach(o),hc.forEach(o),Pa=u(Yn),Ro=r(Yn,"SPAN",{});var mc=a(Ro);ba=i(mc,"Pix2StructVisionConfig"),mc.forEach(o),Yn.forEach(o),jn=u(t),j=r(t,"DIV",{class:!0});var Oe=a(j);P(ct.$$.fragment,Oe),wa=u(Oe),se=r(Oe,"P",{});var yo=a(se);ya=i(yo,"This is the configuration class to store the configuration of a "),no=r(yo,"A",{href:!0});var fc=a(no);Ta=i(fc,"Pix2StructVisionModel"),fc.forEach(o),Sa=i(yo,`. It is used to
instantiate a Pix2Struct vision model according to the specified arguments, defining the model architecture.
Instantiating a configuration defaults will yield a similar configuration to that of the Pix2Struct-base
`),dt=r(yo,"A",{href:!0,rel:!0});var gc=a(dt);ka=i(gc,"google/pix2struct-base"),gc.forEach(o),$a=i(yo," architecture."),yo.forEach(o),Ca=u(Oe),ie=r(Oe,"P",{});var To=a(ie);za=i(To,"Configuration objects inherit from "),ro=r(To,"A",{href:!0});var _c=a(ro);Ea=i(_c,"PretrainedConfig"),_c.forEach(o),Ma=i(To,` and can be used to control the model outputs. Read the
documentation from `),ao=r(To,"A",{href:!0});var xc=a(ao);Ia=i(xc,"PretrainedConfig"),xc.forEach(o),qa=i(To," for more information."),To.forEach(o),Fa=u(Oe),P(Se.$$.fragment,Oe),Oe.forEach(o),An=u(t),ce=r(t,"H2",{class:!0});var Zn=a(ce);ke=r(Zn,"A",{id:!0,class:!0,href:!0});var vc=a(ke);Bo=r(vc,"SPAN",{});var Pc=a(Bo);P(lt.$$.fragment,Pc),Pc.forEach(o),vc.forEach(o),ja=u(Zn),Ko=r(Zn,"SPAN",{});var bc=a(Ko);Aa=i(bc,"Pix2StructProcessor"),bc.forEach(o),Zn.forEach(o),Vn=u(t),E=r(t,"DIV",{class:!0});var Q=a(E);P(ut.$$.fragment,Q),Va=u(Q),Jo=r(Q,"P",{});var wc=a(Jo);Na=i(wc,`Constructs a PIX2STRUCT processor which wraps a BERT tokenizer and PIX2STRUCT image processor into a single
processor.`),wc.forEach(o),La=u(Q),q=r(Q,"P",{});var W=a(q);so=r(W,"A",{href:!0});var yc=a(so);Da=i(yc,"Pix2StructProcessor"),yc.forEach(o),Oa=i(W," offers all the functionalities of "),io=r(W,"A",{href:!0});var Tc=a(io);Ga=i(Tc,"Pix2StructImageProcessor"),Tc.forEach(o),Ua=i(W," and "),co=r(W,"A",{href:!0});var Sc=a(co);Wa=i(Sc,"T5TokenizerFast"),Sc.forEach(o),Ha=i(W,`. See
the docstring of `),Qo=r(W,"CODE",{});var kc=a(Qo);Ra=i(kc,"__call__()"),kc.forEach(o),Ba=i(W," and "),lo=r(W,"A",{href:!0});var $c=a(lo);Ka=i($c,"decode()"),$c.forEach(o),Ja=i(W," for more information."),W.forEach(o),Qa=u(Q),$e=r(Q,"DIV",{class:!0});var er=a($e);P(ht.$$.fragment,er),Xa=u(er),pt=r(er,"P",{});var tr=a(pt);Ya=i(tr,"This method forwards all its arguments to Pix2StructTokenizerFast\u2019s "),uo=r(tr,"A",{href:!0});var Cc=a(uo);Za=i(Cc,"batch_decode()"),Cc.forEach(o),es=i(tr,`.
Please refer to the docstring of this method for more information.`),tr.forEach(o),er.forEach(o),ts=u(Q),Ce=r(Q,"DIV",{class:!0});var or=a(Ce);P(mt.$$.fragment,or),os=u(or),ft=r(or,"P",{});var nr=a(ft);ns=i(nr,"This method forwards all its arguments to Pix2StructTokenizerFast\u2019s "),ho=r(nr,"A",{href:!0});var zc=a(ho);rs=i(zc,"decode()"),zc.forEach(o),as=i(nr,`. Please
refer to the docstring of this method for more information.`),nr.forEach(o),or.forEach(o),Q.forEach(o),Nn=u(t),de=r(t,"H2",{class:!0});var rr=a(de);ze=r(rr,"A",{id:!0,class:!0,href:!0});var Ec=a(ze);Xo=r(Ec,"SPAN",{});var Mc=a(Xo);P(gt.$$.fragment,Mc),Mc.forEach(o),Ec.forEach(o),ss=u(rr),Yo=r(rr,"SPAN",{});var Ic=a(Yo);is=i(Ic,"Pix2StructImageProcessor"),Ic.forEach(o),rr.forEach(o),Ln=u(t),G=r(t,"DIV",{class:!0});var So=a(G);P(_t.$$.fragment,So),cs=u(So),Zo=r(So,"P",{});var qc=a(Zo);ds=i(qc,"Constructs a Pix2Struct image processor."),qc.forEach(o),ls=u(So),Ee=r(So,"DIV",{class:!0});var ar=a(Ee);P(xt.$$.fragment,ar),us=u(ar),A=r(ar,"P",{});var X=a(A);hs=i(X,`Preprocess an image or batch of images. The processor first computes the maximum possible number of
aspect-ratio preserving patches of size `),en=r(X,"CODE",{});var Fc=a(en);ps=i(Fc,"patch_size"),Fc.forEach(o),ms=i(X,` that can be extracted from the image. It then pads the
image with zeros to make the image respect the constraint of `),tn=r(X,"CODE",{});var jc=a(tn);fs=i(jc,"max_patches"),jc.forEach(o),gs=i(X,`. Before extracting the patches the
images are standardized following the tensorflow implementation of `),on=r(X,"CODE",{});var Ac=a(on);_s=i(Ac,"per_image_standardization"),Ac.forEach(o),xs=i(X,`
(`),vt=r(X,"A",{href:!0,rel:!0});var Vc=a(vt);vs=i(Vc,"https://www.tensorflow.org/api_docs/python/tf/image/per_image_standardization"),Vc.forEach(o),Ps=i(X,")."),X.forEach(o),ar.forEach(o),So.forEach(o),Dn=u(t),le=r(t,"H2",{class:!0});var sr=a(le);Me=r(sr,"A",{id:!0,class:!0,href:!0});var Nc=a(Me);nn=r(Nc,"SPAN",{});var Lc=a(nn);P(Pt.$$.fragment,Lc),Lc.forEach(o),Nc.forEach(o),bs=u(sr),rn=r(sr,"SPAN",{});var Dc=a(rn);ws=i(Dc,"Pix2StructTextModel"),Dc.forEach(o),sr.forEach(o),On=u(t),$=r(t,"DIV",{class:!0});var D=a($);P(bt.$$.fragment,D),ys=u(D),an=r(D,"P",{});var Oc=a(an);Ts=i(Oc,"The standalone text decoder of Pix2Struct"),Oc.forEach(o),Ss=u(D),wt=r(D,"P",{});var ir=a(wt);ks=i(ir,"The Pix2Struct model was proposed in "),yt=r(ir,"A",{href:!0,rel:!0});var Gc=a(yt);$s=i(Gc,`Pix2Struct: Screenshot Parsing as Pretraining for Visual Language
Understanding`),Gc.forEach(o),Cs=i(ir,` by Kenton Lee, Mandar Joshi, Iulia Turc, Hexiang Hu, Fangyu Liu,
Julian Eisenschlos, Urvashi Khandelwal, Peter Shaw, Ming-Wei Chang, Kristina Toutanova. It\u2019s an encoder decoder
transformer pre-trained in a image-to-text setting.`),ir.forEach(o),zs=u(D),Tt=r(D,"P",{});var cr=a(Tt);Es=i(cr,"This model inherits from "),po=r(cr,"A",{href:!0});var Uc=a(po);Ms=i(Uc,"PreTrainedModel"),Uc.forEach(o),Is=i(cr,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),cr.forEach(o),qs=u(D),St=r(D,"P",{});var dr=a(St);Fs=i(dr,"This model is also a PyTorch "),kt=r(dr,"A",{href:!0,rel:!0});var Wc=a(kt);js=i(Wc,"torch.nn.Module"),Wc.forEach(o),As=i(dr,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),dr.forEach(o),Vs=u(D),V=r(D,"DIV",{class:!0});var Ge=a(V);P($t.$$.fragment,Ge),Ns=u(Ge),ue=r(Ge,"P",{});var ko=a(ue);Ls=i(ko,"The "),mo=r(ko,"A",{href:!0});var Hc=a(mo);Ds=i(Hc,"Pix2StructTextModel"),Hc.forEach(o),Os=i(ko," forward method, overrides the "),sn=r(ko,"CODE",{});var Rc=a(sn);Gs=i(Rc,"__call__"),Rc.forEach(o),Us=i(ko," special method."),ko.forEach(o),Ws=u(Ge),P(Ie.$$.fragment,Ge),Hs=u(Ge),P(qe.$$.fragment,Ge),Ge.forEach(o),D.forEach(o),Gn=u(t),he=r(t,"H2",{class:!0});var lr=a(he);Fe=r(lr,"A",{id:!0,class:!0,href:!0});var Bc=a(Fe);cn=r(Bc,"SPAN",{});var Kc=a(cn);P(Ct.$$.fragment,Kc),Kc.forEach(o),Bc.forEach(o),Rs=u(lr),dn=r(lr,"SPAN",{});var Jc=a(dn);Bs=i(Jc,"Pix2StructVisionModel"),Jc.forEach(o),lr.forEach(o),Un=u(t),U=r(t,"DIV",{class:!0});var $o=a(U);P(zt.$$.fragment,$o),Ks=u($o),Et=r($o,"P",{});var ur=a(Et);Js=i(ur,`The bare Pix2StructVision Model transformer outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),Mt=r(ur,"A",{href:!0,rel:!0});var Qc=a(Mt);Qs=i(Qc,"torch.nn.Module"),Qc.forEach(o),Xs=i(ur,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),ur.forEach(o),Ys=u($o),N=r($o,"DIV",{class:!0});var Ue=a(N);P(It.$$.fragment,Ue),Zs=u(Ue),pe=r(Ue,"P",{});var Co=a(pe);ei=i(Co,"The "),fo=r(Co,"A",{href:!0});var Xc=a(fo);ti=i(Xc,"Pix2StructVisionModel"),Xc.forEach(o),oi=i(Co," forward method, overrides the "),ln=r(Co,"CODE",{});var Yc=a(ln);ni=i(Yc,"__call__"),Yc.forEach(o),ri=i(Co," special method."),Co.forEach(o),ai=u(Ue),P(je.$$.fragment,Ue),si=u(Ue),P(Ae.$$.fragment,Ue),Ue.forEach(o),$o.forEach(o),Wn=u(t),me=r(t,"H2",{class:!0});var hr=a(me);Ve=r(hr,"A",{id:!0,class:!0,href:!0});var Zc=a(Ve);un=r(Zc,"SPAN",{});var ed=a(un);P(qt.$$.fragment,ed),ed.forEach(o),Zc.forEach(o),ii=u(hr),hn=r(hr,"SPAN",{});var td=a(hn);ci=i(td,"Pix2StructForConditionalGeneration"),td.forEach(o),hr.forEach(o),Hn=u(t),C=r(t,"DIV",{class:!0});var O=a(C);P(Ft.$$.fragment,O),di=u(O),pn=r(O,"P",{});var od=a(pn);li=i(od,"A conditional generation model with a language modeling head. Can be used for sequence generation tasks."),od.forEach(o),ui=u(O),jt=r(O,"P",{});var pr=a(jt);hi=i(pr,"The Pix2Struct model was proposed in "),At=r(pr,"A",{href:!0,rel:!0});var nd=a(At);pi=i(nd,`Pix2Struct: Screenshot Parsing as Pretraining for Visual Language
Understanding`),nd.forEach(o),mi=i(pr,` by Kenton Lee, Mandar Joshi, Iulia Turc, Hexiang Hu, Fangyu Liu,
Julian Eisenschlos, Urvashi Khandelwal, Peter Shaw, Ming-Wei Chang, Kristina Toutanova. It\u2019s an encoder decoder
transformer pre-trained in a image-to-text setting.`),pr.forEach(o),fi=u(O),Vt=r(O,"P",{});var mr=a(Vt);gi=i(mr,"This model inherits from "),go=r(mr,"A",{href:!0});var rd=a(go);_i=i(rd,"PreTrainedModel"),rd.forEach(o),xi=i(mr,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),mr.forEach(o),vi=u(O),Nt=r(O,"P",{});var fr=a(Nt);Pi=i(fr,"This model is also a PyTorch "),Lt=r(fr,"A",{href:!0,rel:!0});var ad=a(Lt);bi=i(ad,"torch.nn.Module"),ad.forEach(o),wi=i(fr,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),fr.forEach(o),yi=u(O),L=r(O,"DIV",{class:!0});var We=a(L);P(Dt.$$.fragment,We),Ti=u(We),fe=r(We,"P",{});var zo=a(fe);Si=i(zo,"The "),_o=r(zo,"A",{href:!0});var sd=a(_o);ki=i(sd,"Pix2StructForConditionalGeneration"),sd.forEach(o),$i=i(zo," forward method, overrides the "),mn=r(zo,"CODE",{});var id=a(mn);Ci=i(id,"__call__"),id.forEach(o),zi=i(zo," special method."),zo.forEach(o),Ei=u(We),P(Ne.$$.fragment,We),Mi=u(We),P(Le.$$.fragment,We),We.forEach(o),O.forEach(o),this.h()},h(){d(h,"name","hf:doc:metadata"),d(h,"content",JSON.stringify(yd)),d(m,"id","pix2struct"),d(m,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(m,"href","#pix2struct"),d(_,"class","relative group"),d(ge,"id","overview"),d(ge,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ge,"href","#overview"),d(Y,"class","relative group"),d(Re,"href","https://arxiv.org/abs/2210.03347"),d(Re,"rel","nofollow"),d(Be,"href","https://huggingface.co/ybelkada"),d(Be,"rel","nofollow"),d(Ke,"href","https://github.com/google-research/pix2struct"),d(Ke,"rel","nofollow"),d(xe,"id","resources"),d(xe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(xe,"href","#resources"),d(Z,"class","relative group"),d(Qe,"href","https://arxiv.org/abs/2210.03347"),d(Qe,"rel","nofollow"),d(Xe,"href","https://github.com/huggingface/notebooks/blob/main/examples/image_captioning_pix2struct.ipynb"),d(Xe,"rel","nofollow"),d(Ye,"href","https://huggingface.co/models?search=pix2struct"),d(Ye,"rel","nofollow"),d(ve,"id","transformers.Pix2StructConfig"),d(ve,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ve,"href","#transformers.Pix2StructConfig"),d(ee,"class","relative group"),d(Jt,"href","/docs/transformers/main/en/model_doc/pix2struct#transformers.Pix2StructConfig"),d(Qt,"href","/docs/transformers/main/en/model_doc/pix2struct#transformers.Pix2StructForConditionalGeneration"),d(tt,"href","https://huggingface.co/google/pix2struct-base"),d(tt,"rel","nofollow"),d(Xt,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),d(Yt,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),d(Zt,"href","/docs/transformers/main/en/model_doc/pix2struct#transformers.Pix2StructConfig"),d(be,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(we,"id","transformers.Pix2StructTextConfig"),d(we,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(we,"href","#transformers.Pix2StructTextConfig"),d(oe,"class","relative group"),d(eo,"href","/docs/transformers/main/en/model_doc/pix2struct#transformers.Pix2StructTextModel"),d(st,"href","https://huggingface.co/google/pix2struct-base"),d(st,"rel","nofollow"),d(to,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),d(oo,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),d(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Te,"id","transformers.Pix2StructVisionConfig"),d(Te,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Te,"href","#transformers.Pix2StructVisionConfig"),d(ae,"class","relative group"),d(no,"href","/docs/transformers/main/en/model_doc/pix2struct#transformers.Pix2StructVisionModel"),d(dt,"href","https://huggingface.co/google/pix2struct-base"),d(dt,"rel","nofollow"),d(ro,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),d(ao,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),d(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ke,"id","transformers.Pix2StructProcessor"),d(ke,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ke,"href","#transformers.Pix2StructProcessor"),d(ce,"class","relative group"),d(so,"href","/docs/transformers/main/en/model_doc/pix2struct#transformers.Pix2StructProcessor"),d(io,"href","/docs/transformers/main/en/model_doc/pix2struct#transformers.Pix2StructImageProcessor"),d(co,"href","/docs/transformers/main/en/model_doc/mt5#transformers.T5TokenizerFast"),d(lo,"href","/docs/transformers/main/en/model_doc/pix2struct#transformers.Pix2StructProcessor.decode"),d(uo,"href","/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.batch_decode"),d($e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ho,"href","/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.decode"),d(Ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ze,"id","transformers.Pix2StructImageProcessor"),d(ze,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ze,"href","#transformers.Pix2StructImageProcessor"),d(de,"class","relative group"),d(vt,"href","https://www.tensorflow.org/api_docs/python/tf/image/per_image_standardization"),d(vt,"rel","nofollow"),d(Ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Me,"id","transformers.Pix2StructTextModel"),d(Me,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Me,"href","#transformers.Pix2StructTextModel"),d(le,"class","relative group"),d(yt,"href","https://arxiv.org/abs/2210.03347"),d(yt,"rel","nofollow"),d(po,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),d(kt,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(kt,"rel","nofollow"),d(mo,"href","/docs/transformers/main/en/model_doc/pix2struct#transformers.Pix2StructTextModel"),d(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Fe,"id","transformers.Pix2StructVisionModel"),d(Fe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Fe,"href","#transformers.Pix2StructVisionModel"),d(he,"class","relative group"),d(Mt,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(Mt,"rel","nofollow"),d(fo,"href","/docs/transformers/main/en/model_doc/pix2struct#transformers.Pix2StructVisionModel"),d(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ve,"id","transformers.Pix2StructForConditionalGeneration"),d(Ve,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ve,"href","#transformers.Pix2StructForConditionalGeneration"),d(me,"class","relative group"),d(At,"href","https://arxiv.org/abs/2210.03347"),d(At,"rel","nofollow"),d(go,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),d(Lt,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(Lt,"rel","nofollow"),d(_o,"href","/docs/transformers/main/en/model_doc/pix2struct#transformers.Pix2StructForConditionalGeneration"),d(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,p){e(document.head,h),f(t,S,p),f(t,_,p),e(_,m),e(m,x),b(c,x,null),e(_,g),e(_,I),e(I,gr),f(t,bn,p),f(t,Y,p),e(Y,ge),e(ge,qo),b(He,qo,null),e(Y,_r),e(Y,Fo),e(Fo,xr),f(t,wn,p),f(t,_e,p),e(_e,vr),e(_e,Re),e(Re,Pr),e(_e,br),f(t,yn,p),f(t,Ht,p),e(Ht,wr),f(t,Tn,p),f(t,Rt,p),e(Rt,jo),e(jo,yr),f(t,Sn,p),f(t,Bt,p),e(Bt,Tr),f(t,kn,p),f(t,Kt,p),e(Kt,Sr),f(t,$n,p),f(t,R,p),e(R,kr),e(R,Be),e(Be,$r),e(R,Cr),e(R,Ke),e(Ke,zr),e(R,Er),f(t,Cn,p),f(t,Z,p),e(Z,xe),e(xe,Ao),b(Je,Ao,null),e(Z,Mr),e(Z,Vo),e(Vo,Ir),f(t,zn,p),f(t,B,p),e(B,No),e(No,Qe),e(Qe,qr),e(B,Fr),e(B,Lo),e(Lo,Xe),e(Xe,jr),e(B,Ar),e(B,Do),e(Do,Ye),e(Ye,Vr),f(t,En,p),f(t,ee,p),e(ee,ve),e(ve,Oo),b(Ze,Oo,null),e(ee,Nr),e(ee,Go),e(Go,Lr),f(t,Mn,p),f(t,z,p),b(et,z,null),e(z,Dr),e(z,K),e(K,Jt),e(Jt,Or),e(K,Gr),e(K,Qt),e(Qt,Ur),e(K,Wr),e(K,tt),e(tt,Hr),e(K,Rr),e(z,Br),e(z,te),e(te,Kr),e(te,Xt),e(Xt,Jr),e(te,Qr),e(te,Yt),e(Yt,Xr),e(te,Yr),e(z,Zr),b(Pe,z,null),e(z,ea),e(z,be),b(ot,be,null),e(be,ta),e(be,nt),e(nt,oa),e(nt,Zt),e(Zt,na),e(nt,ra),f(t,In,p),f(t,oe,p),e(oe,we),e(we,Uo),b(rt,Uo,null),e(oe,aa),e(oe,Wo),e(Wo,sa),f(t,qn,p),f(t,F,p),b(at,F,null),e(F,ia),e(F,ne),e(ne,ca),e(ne,eo),e(eo,da),e(ne,la),e(ne,st),e(st,ua),e(ne,ha),e(F,pa),e(F,re),e(re,ma),e(re,to),e(to,fa),e(re,ga),e(re,oo),e(oo,_a),e(re,xa),e(F,va),b(ye,F,null),f(t,Fn,p),f(t,ae,p),e(ae,Te),e(Te,Ho),b(it,Ho,null),e(ae,Pa),e(ae,Ro),e(Ro,ba),f(t,jn,p),f(t,j,p),b(ct,j,null),e(j,wa),e(j,se),e(se,ya),e(se,no),e(no,Ta),e(se,Sa),e(se,dt),e(dt,ka),e(se,$a),e(j,Ca),e(j,ie),e(ie,za),e(ie,ro),e(ro,Ea),e(ie,Ma),e(ie,ao),e(ao,Ia),e(ie,qa),e(j,Fa),b(Se,j,null),f(t,An,p),f(t,ce,p),e(ce,ke),e(ke,Bo),b(lt,Bo,null),e(ce,ja),e(ce,Ko),e(Ko,Aa),f(t,Vn,p),f(t,E,p),b(ut,E,null),e(E,Va),e(E,Jo),e(Jo,Na),e(E,La),e(E,q),e(q,so),e(so,Da),e(q,Oa),e(q,io),e(io,Ga),e(q,Ua),e(q,co),e(co,Wa),e(q,Ha),e(q,Qo),e(Qo,Ra),e(q,Ba),e(q,lo),e(lo,Ka),e(q,Ja),e(E,Qa),e(E,$e),b(ht,$e,null),e($e,Xa),e($e,pt),e(pt,Ya),e(pt,uo),e(uo,Za),e(pt,es),e(E,ts),e(E,Ce),b(mt,Ce,null),e(Ce,os),e(Ce,ft),e(ft,ns),e(ft,ho),e(ho,rs),e(ft,as),f(t,Nn,p),f(t,de,p),e(de,ze),e(ze,Xo),b(gt,Xo,null),e(de,ss),e(de,Yo),e(Yo,is),f(t,Ln,p),f(t,G,p),b(_t,G,null),e(G,cs),e(G,Zo),e(Zo,ds),e(G,ls),e(G,Ee),b(xt,Ee,null),e(Ee,us),e(Ee,A),e(A,hs),e(A,en),e(en,ps),e(A,ms),e(A,tn),e(tn,fs),e(A,gs),e(A,on),e(on,_s),e(A,xs),e(A,vt),e(vt,vs),e(A,Ps),f(t,Dn,p),f(t,le,p),e(le,Me),e(Me,nn),b(Pt,nn,null),e(le,bs),e(le,rn),e(rn,ws),f(t,On,p),f(t,$,p),b(bt,$,null),e($,ys),e($,an),e(an,Ts),e($,Ss),e($,wt),e(wt,ks),e(wt,yt),e(yt,$s),e(wt,Cs),e($,zs),e($,Tt),e(Tt,Es),e(Tt,po),e(po,Ms),e(Tt,Is),e($,qs),e($,St),e(St,Fs),e(St,kt),e(kt,js),e(St,As),e($,Vs),e($,V),b($t,V,null),e(V,Ns),e(V,ue),e(ue,Ls),e(ue,mo),e(mo,Ds),e(ue,Os),e(ue,sn),e(sn,Gs),e(ue,Us),e(V,Ws),b(Ie,V,null),e(V,Hs),b(qe,V,null),f(t,Gn,p),f(t,he,p),e(he,Fe),e(Fe,cn),b(Ct,cn,null),e(he,Rs),e(he,dn),e(dn,Bs),f(t,Un,p),f(t,U,p),b(zt,U,null),e(U,Ks),e(U,Et),e(Et,Js),e(Et,Mt),e(Mt,Qs),e(Et,Xs),e(U,Ys),e(U,N),b(It,N,null),e(N,Zs),e(N,pe),e(pe,ei),e(pe,fo),e(fo,ti),e(pe,oi),e(pe,ln),e(ln,ni),e(pe,ri),e(N,ai),b(je,N,null),e(N,si),b(Ae,N,null),f(t,Wn,p),f(t,me,p),e(me,Ve),e(Ve,un),b(qt,un,null),e(me,ii),e(me,hn),e(hn,ci),f(t,Hn,p),f(t,C,p),b(Ft,C,null),e(C,di),e(C,pn),e(pn,li),e(C,ui),e(C,jt),e(jt,hi),e(jt,At),e(At,pi),e(jt,mi),e(C,fi),e(C,Vt),e(Vt,gi),e(Vt,go),e(go,_i),e(Vt,xi),e(C,vi),e(C,Nt),e(Nt,Pi),e(Nt,Lt),e(Lt,bi),e(Nt,wi),e(C,yi),e(C,L),b(Dt,L,null),e(L,Ti),e(L,fe),e(fe,Si),e(fe,_o),e(_o,ki),e(fe,$i),e(fe,mn),e(mn,Ci),e(fe,zi),e(L,Ei),b(Ne,L,null),e(L,Mi),b(Le,L,null),Rn=!0},p(t,[p]){const Ot={};p&2&&(Ot.$$scope={dirty:p,ctx:t}),Pe.$set(Ot);const fn={};p&2&&(fn.$$scope={dirty:p,ctx:t}),ye.$set(fn);const gn={};p&2&&(gn.$$scope={dirty:p,ctx:t}),Se.$set(gn);const _n={};p&2&&(_n.$$scope={dirty:p,ctx:t}),Ie.$set(_n);const Gt={};p&2&&(Gt.$$scope={dirty:p,ctx:t}),qe.$set(Gt);const xn={};p&2&&(xn.$$scope={dirty:p,ctx:t}),je.$set(xn);const vn={};p&2&&(vn.$$scope={dirty:p,ctx:t}),Ae.$set(vn);const Pn={};p&2&&(Pn.$$scope={dirty:p,ctx:t}),Ne.$set(Pn);const Ut={};p&2&&(Ut.$$scope={dirty:p,ctx:t}),Le.$set(Ut)},i(t){Rn||(w(c.$$.fragment,t),w(He.$$.fragment,t),w(Je.$$.fragment,t),w(Ze.$$.fragment,t),w(et.$$.fragment,t),w(Pe.$$.fragment,t),w(ot.$$.fragment,t),w(rt.$$.fragment,t),w(at.$$.fragment,t),w(ye.$$.fragment,t),w(it.$$.fragment,t),w(ct.$$.fragment,t),w(Se.$$.fragment,t),w(lt.$$.fragment,t),w(ut.$$.fragment,t),w(ht.$$.fragment,t),w(mt.$$.fragment,t),w(gt.$$.fragment,t),w(_t.$$.fragment,t),w(xt.$$.fragment,t),w(Pt.$$.fragment,t),w(bt.$$.fragment,t),w($t.$$.fragment,t),w(Ie.$$.fragment,t),w(qe.$$.fragment,t),w(Ct.$$.fragment,t),w(zt.$$.fragment,t),w(It.$$.fragment,t),w(je.$$.fragment,t),w(Ae.$$.fragment,t),w(qt.$$.fragment,t),w(Ft.$$.fragment,t),w(Dt.$$.fragment,t),w(Ne.$$.fragment,t),w(Le.$$.fragment,t),Rn=!0)},o(t){y(c.$$.fragment,t),y(He.$$.fragment,t),y(Je.$$.fragment,t),y(Ze.$$.fragment,t),y(et.$$.fragment,t),y(Pe.$$.fragment,t),y(ot.$$.fragment,t),y(rt.$$.fragment,t),y(at.$$.fragment,t),y(ye.$$.fragment,t),y(it.$$.fragment,t),y(ct.$$.fragment,t),y(Se.$$.fragment,t),y(lt.$$.fragment,t),y(ut.$$.fragment,t),y(ht.$$.fragment,t),y(mt.$$.fragment,t),y(gt.$$.fragment,t),y(_t.$$.fragment,t),y(xt.$$.fragment,t),y(Pt.$$.fragment,t),y(bt.$$.fragment,t),y($t.$$.fragment,t),y(Ie.$$.fragment,t),y(qe.$$.fragment,t),y(Ct.$$.fragment,t),y(zt.$$.fragment,t),y(It.$$.fragment,t),y(je.$$.fragment,t),y(Ae.$$.fragment,t),y(qt.$$.fragment,t),y(Ft.$$.fragment,t),y(Dt.$$.fragment,t),y(Ne.$$.fragment,t),y(Le.$$.fragment,t),Rn=!1},d(t){o(h),t&&o(S),t&&o(_),T(c),t&&o(bn),t&&o(Y),T(He),t&&o(wn),t&&o(_e),t&&o(yn),t&&o(Ht),t&&o(Tn),t&&o(Rt),t&&o(Sn),t&&o(Bt),t&&o(kn),t&&o(Kt),t&&o($n),t&&o(R),t&&o(Cn),t&&o(Z),T(Je),t&&o(zn),t&&o(B),t&&o(En),t&&o(ee),T(Ze),t&&o(Mn),t&&o(z),T(et),T(Pe),T(ot),t&&o(In),t&&o(oe),T(rt),t&&o(qn),t&&o(F),T(at),T(ye),t&&o(Fn),t&&o(ae),T(it),t&&o(jn),t&&o(j),T(ct),T(Se),t&&o(An),t&&o(ce),T(lt),t&&o(Vn),t&&o(E),T(ut),T(ht),T(mt),t&&o(Nn),t&&o(de),T(gt),t&&o(Ln),t&&o(G),T(_t),T(xt),t&&o(Dn),t&&o(le),T(Pt),t&&o(On),t&&o($),T(bt),T($t),T(Ie),T(qe),t&&o(Gn),t&&o(he),T(Ct),t&&o(Un),t&&o(U),T(zt),T(It),T(je),T(Ae),t&&o(Wn),t&&o(me),T(qt),t&&o(Hn),t&&o(C),T(Ft),T(Dt),T(Ne),T(Le)}}}const yd={local:"pix2struct",sections:[{local:"overview",title:"Overview"},{local:"resources",title:"Resources:"},{local:"transformers.Pix2StructConfig",title:"Pix2StructConfig"},{local:"transformers.Pix2StructTextConfig",title:"Pix2StructTextConfig"},{local:"transformers.Pix2StructVisionConfig",title:"Pix2StructVisionConfig"},{local:"transformers.Pix2StructProcessor",title:"Pix2StructProcessor"},{local:"transformers.Pix2StructImageProcessor",title:"Pix2StructImageProcessor"},{local:"transformers.Pix2StructTextModel",title:"Pix2StructTextModel"},{local:"transformers.Pix2StructVisionModel",title:"Pix2StructVisionModel"},{local:"transformers.Pix2StructForConditionalGeneration",title:"Pix2StructForConditionalGeneration"}],title:"Pix2Struct"};function Td(k){return hd(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Md extends cd{constructor(h){super();dd(this,h,Td,wd,ld,{})}}export{Md as default,yd as metadata};
